!     Last change:  F    21 Apr 2005    8:36 am
	program canadian_seismic_hazard
 	
!	output form has six options
 	
!	first option
!	this option writes a bilingual postscript file with a single page
!	the output file name is hazard_for_(site name).ps
 	
!	second option
!	this option writes a single page english postscript file
!	the output file name is hazard_for_(site name)_english.ps
 	
!	third option
!	this option writes a single page english text file 80 columns wide
!	the output file name is hazard_for_(site name)_eng.txt
 	
!	fourth option
!	output is a single page french postscript file
!	the output file name is hazard_for_(site name)_french.ps
 	
!	fifth option
!	output is two page english - french postscript file
!	the output file name is hazard_for_(site name)_eng_fr.ps
 	
!	sixth option
!	output is a one page french text 80 columns wide
!	the output file name is hazard_for_(site name)_fr.txt
 	
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common/debg/sxnot,synot,errbnd,nstepmx,lerr,rz2,lerr2,risker
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/lerrs/includ,incld2,lnei,lrisks,rkrato
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,a,b,in,jn,nrgl
	common/errby/lbypass
	common/info/engph,nceng,frph,ncfr,fax,ncfax,email,ncemail,web,ncweb
	common/comdatatime/date,time,zone,datetime(8)
	dimension clat(7)
	character (len=40) :: engph,frph,fax,email,web,directory
	character (len=60) :: rname,sname,buff
	character (len=6) :: cb
	character (len=1) :: yn,cbi
	character (len=8) :: date
	character (len=10) :: time
	character (len=5) :: zone
	integer datetime
	logical lerr,includ,lerr2,incld2,lrisks,lbypass,l1,l2,l3,l4,l5,l6,filexist,filexistc
	data clat/-70.,-70.,-80.,-105.,-123.,-123.,-138./
	data l1,l2,l3,l4,l5,l6/6*.false./
	data directory/'c:\CDN_Hazard\'/ ! location of risksa.dat
	ndir=len_trim(directory)
!
!	Following data are set in block data
!
!	data includ,incld2,lnlei,lrisks,errbnd,nstepmx,rkrato,NSTEP/.false.,.false.,.false.,.false.,20.,40,0.05,10/
!	data nlei,ti/10,-2.,-1.,0.,1.,2.,3.,4.,5.,6.,7.,0.,0./
!	data risks/0.01,0.005,0.002105,0.001,0.,0.,0.,0.,0./
!	data atten/-1.0788,1.3,-1.1,0.7,0.,0.,1000.,0.0001,&
!                -8.623,2.3,-1.0,0.7,0.,0.,1000.,0.0001,&
!               0.,1.3,-1.5,0.7,0.,0.,1000.,0.0001,&
!                -7.824,2.3,-1.3,0.7,0.,0.,1000.,0.0001/
!	data rname,sname/2*' '/
	call date_and_time(date,time,zone,datetime)
!
!	East location information
	engph='(613)995-5548'
	frph='(613)995-0600'
	fax='(613)992-8836'
	email='info@seismo.nrcan.gc.ca'
	web='www.seismo.nrcan.gc.ca'
!
	nceng=len_trim(engph)
	ncfr=len_trim(frph)
	ncfax=len_trim(fax)
	ncemail=len_trim(email)
	ncweb=len_trim(web)
	LBYPASS=.false.
	in=5
	nrd=2
	jn=6
	inquire(file=directory(1:ndir)//'risksa.dat',exist=filexist)
	if(.not.filexist)then
		inquire(file=directory(1:ndir)//'risksa.dat.bz2',exist=filexistc)
		if(filexistc)then
			write(buff,'(''c:\bzip2\bzip2 -d risksa.dat.bz2'')')
			call system(buff(1:LEN_TRIM(buff)))
 		else
			write(6,'('' ERR input file risksa.dat or risksa.dat.bz2 missing'')')
			stop
		endif
	endif
	open(nrd,status='old',file=directory(1:ndir)//'risksa.dat',ACTION='read',err=98)
	nwr=9
	open(nwr,status='old',file='hazarderrors.lis',err=91)
	close(nwr,status='delete')
91	open(nwr,status='new',file='hazarderrors.lis')
	nrgl=0
	write(jn,'('' CANADIAN SEISMIC HAZARD 1995 PROGRAM RUNNING''/)')
	write(jn,'('' For bilingual postscript output enter 1  (default)''/&
	&'' For english postscript output enter 2''/&
	&'' For english text output enter 3''/&
	&'' For French postscript output enter 4''/&
	&'' For two page english - french postscript output enter 5''/&
	&'' For french text output enter 6''/&
	&'' For all enter 123456, for english only enter 23''/)')
	read(*,'(a)',end=99)cb
	if(cb.eq.'      ')	cb='1     '
	write(jn,'(a1,'' NAME OF REQUESTOR ?''/)')char(7)
	read(*,'(a)',end=99,err=99)rname
5	write(jn,'('' NAME OF SITE ?''/)')
	read(*,'(a)',end=99,err=5)sname
	if(sname(1:10).eq.'          ')go to 5
6	write(jn,'('' LAT & LONG ? (*,*)''/)')
	read(*,*,end=99,err=6)a,b
	if(a.eq.0..or.b.eq.0.)go to 6
	write(jn,'(1X,F7.3,''N '',F8.3,''W ? Y/N''/)')a,b
	read(*,'(a)',end=99,err=99)yn
	yn='y'
	if(.not.(yn.eq.'Y'.or.yn.eq.'y')) go to 6
	write(jn,'('' '')')
	a=abs(a)
	b=abs(b)
	if(b.LT.49..or.b.gt.145.)go to 30
	if(b.le.145..and.b.ge.91..and.a.ge.68..and.a.le.82.)go to 10
	if(b.ge.110.)go to 20
	JEW=1
	if(a.LT.41..or.a.gt.85.)go to 30
	if(b.le.86..and.a.ge.41..and.a.LT.50.) go to 11
	if(b.le.90..and.a.ge.50..and.a.LT.60.) go to 12
	if(b.le.105..and.a.ge.60..and.a.le.85.) go to 13
	if(a.ge.46..and.a.le.51..and.b.ge.100.) go to 14
	go to 40
20	JEW=2
	if(a.LT.47.)go to 30
	if(a.LT.60.) go to 16
	if(a.ge.60..and.a.le.68.) go to 17
	go to 40
30	write(jn,'(/'' SITE AT'',F6.2,'' LAT  '',F7.2,'' LONG''/&
	&'' IS OUTSIDE AREA WHERE RISK CAN BE DEFINED  Try again with new location''/)')a,b
	go to 99
10	nrg=7
	call inlccm(-115.)
	call nwnerk
	go to 22
40	write(jn,'('' THE RISK AT SITE'',F6.2,'' LAT  '',F7.2,'' LONG''/'' IS INSIGNIFICANT  ***NO OUTPUT FILE WRITTEN***''/)')a,b
	go to 99
11	nrg=1
	go to 23
12	nrg=2
	go to 23
13	nrg=3
	go to 23
14	nrg=4
	go to 23
16	nrg=5
	go to 23
17	nrg=6
23	if(nrg.eq.nrgl)go to 24
WRITE(6,*)' nrg=',nrg
	call inlccm(clat(NRG))
WRITE(6,*)' calling srisk'
24	call srisk
22	do J=1,2
		do I=1,4
			tifs(i,j)=tifs(i,j)+0.05
		enddo
	enddo
	do 1 i=1,6
		cbi=cb(i:i)
		if(cbi.eq.'1'.and..not.l1)then
			call hazardout_postscript ! single bilingual postscript page
			l1=.true.
			go to 1
		elseif(cbi.eq.'2'.and..not.l2)then
			call hazardout_english_postscript ! single english postscript page
			l2=.true.
			go to 1
		elseif(cbi.eq.'3'.and..not.l3)then
			call hazardout_english_txt ! single english text page
			l3=.true.
			go to 1
		elseif(cbi.eq.'4'.and..not.l4)then
			call hazardout_french_postscript
			l4=.true.
			go to 1
		elseif(cbi.eq.'5'.and..not.l5)then
			call hazardout_eng_fr_postscript
			l5=.true.
			go to 1
		elseif(cbi.eq.'6'.and..not.l6)then
			call hazardout_french_txt ! single french page
			l6=.true.
			go to 1
		endif
1	continue
99	if(.not.lerr.and..not.lerr2)then
		close(nwr,status='DELETE')
	else
		close(nwr)
		write(jn,*)' ****EXAMINE FILE hazarderrors.lis FOR ERROR MESSAGES****'
	endif
 	stop
98	write(jn,97)
97	format(' ****ERROR with risksa.dat FILE****')
	stop 9
	end
	subroutine hazardout_postscript
!	include '/home2/anglin/postscrpt/userpostscript.h'
 	common/zcpostscrpt1/xmin,xmax,xsize,xscale,xssz,xlast&
	 ,xzero,xlstcr,xshift,ymin,ymax,ysize,yscale,yssz&
	 ,ylast,yzero,ylstcr,yshift
	common/zcpostscrpt2/sfac,dotsp
	common/zpostscript/plotrotate,xt,yt,xpaper,ypaper&
	 ,xpspoints,ypspoints,ipspage,currentfont,usedfonts(17)&
	 ,numfonts,nowfont,xll,yll,xur,yur,iplotter,biling,fntscal,lenfont
	character (len=36) :: currentfont,usedfonts
	logical biling
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/info/engph,nceng,frph,ncfr,fax,ncfax,email,ncemail,web,ncweb
	common/comdatatime/date,time,zone,datetime(8)
	character (len=40) :: engph,frph,fax,email,web
	dimension tifsh(8,2),zn(6),zr(7)
	character (len=60) :: rname,sname,pname
	character (len=100) :: buff,output,newfont
	character (len=28) :: xchar
	character (len=8) :: date
	character (len=10) :: time
	character (len=5) :: zone
	integer datetime
	data zn/.04,.08,.11,.16,.23,.32/
	data zr/.0,.05,.1,.15,.2,.3,.4/
	data x1,x2,y1,y2,xsh,ysh/0.,20.,0.,25.,1.,1./
	data xchar/28h@#$%^()-+|~=`/?.>,<;:'"[{]}*/
	do I=1,8
		do J=1,2
			tifsh(i,j)=tifs(i,j)/100.
		enddo
	enddo
	A=tifsh(3,1)
	V=tifsh(3,2)
	izna=0
	iznv=0
	do I=1,6
		znn=zn(I)
		if(A.ge.znn)izna=I
		if(V.ge.znn)iznv=I
	enddo
	ZA=zr(izna+1)
	ZV=zr(iznv+1)
	if(iznv.eq.0.and.izna.gt.0)then
		ZV=0.05
	endif
	biling=.true.
	nc=len_trim(sname)
	j=0
	do 1 i=1,nc
		do k=1,28
			if(sname(i:i).eq.xchar(k:k))go to 1
		enddo
		j=j+1
		pname(j:j)=sname(i:i)
		if(pname(j:j).eq.' ')pname(j:j)='_'
1	continue
	output='hazard_for_'//pname(1:j)//'.ps'
	call postscript(output)
	call define(x1,x2,y1,y2,20.,25.,xsh,ysh,ier)
	call linewt(300)
	yps=25.5
	yp=yps+0.05
	yp1=yp
	yp2=yp-4.8
	call goto(1.3,yp1) !25.55
	call draw(1.3,yp2) !19.95
	call goto(19.2,yp1) !25.55
	call draw(19.2,yp2) !19.95
	call linewt(120)
	yp1=yp-0.05
	yp2=yp-4.75
	call goto(1.3,yp1) !25.5
	call draw(19.2,yp1) !25.5
	call goto(1.3,yp2) !20.
	call draw(19.2,yp2) !20.
	call linewt(1)
	call gsclogoefr(10.0,yps-2.05,2.0)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff=55hSEISMIC HAZARD CALCULATION - CALCUL D' AL'EA S'EISMIQUE
	nc=len_trim(buff)
	yp=yp-0.75
	call labelc(2.9,yp,.35,0.,nc,buff) !24.8
	buff='Geological'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.6,yp,.35,0.,nc,buff) !23.7
	buff='Survey'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.0,yp,.35,0.,nc,buff) !23.
	buff='of'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.5,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.9,yp,.35,0.,nc,buff) !21.6
	buff='Commission'
	nc=len_trim(buff)
	yp=yp+1.8
	call labelc(15.0,yp,.35,0.,nc,buff) !23.7
	buff=11hg'eologique
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.15,yp,.35,0.,nc,buff) !23.
	buff='du'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(16.0,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.5,yp,.35,0.,nc,buff) !21.6
	write(buff,'(''INFORMATION...'',a,'' [English]  '',a,'' [fran|cais]'')')engph(1:nceng),frph(1:ncfr)
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(5.0,yp,.25,0.,nc,buff) !21.
	write(buff,'(''FAX:'',a,''   EMAIL: '',a,''   WEB:'',a)')fax(1:ncfax),email(1:ncemail),web(1:ncweb)
	nc=len_trim(buff)
	call charlen(buff,nc,stringlength)
	yp=yp-0.6
	call labelc(9.9-stringlength*0.25/2.,yp,.25,0.,nc,buff) !20.4
!	call labelc(3.1,yp,.25,0.,nc,buff) !20.4
	buff=25hRequested by/Demand'e par
	nc=len_trim(buff)
	yp=yp-1.
	call labelc(1.7,yp,.3,0.,nc,buff) !19.2
	nc=len_trim(rname)
	xp2=10.
	call label_centre(xp2,yp,.3,0.,nc,rname)
	write(buff,'(i2,''/'',i2.2,''/'',i4)')datetime(3),datetime(2),datetime(1)
	nc=len_trim(buff)
	call labelc(17.3,yp,0.3,0.,nc,buff)
	buff='Site'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !18.4
	nc=len_trim(sname)
	call label_centre(xp2,yp,.3,0.,nc,sname)
	buff=20hLocated at/Situ'e `a
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !17.6
	write(buff,'(f5.2, '' North/Nord        '',f6.2,'' West/Ouest'')')slat,slong
	nc=len_trim(buff)
	call labelc(6.15,yp,.3,0.,nc,buff)
	buff='Zoning for above site / Zonage du site ci-dessus'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(5.65,yp,.3,0.,nc,buff)!16.8
	buff=42hAcceleration zone / Zone d' acc'el'eration
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.25,0.,nc,buff) !16.1
	write(buff,'(''Z   = '',i1)')izna
	nc=len_trim(buff)
	call labelc(8.7,yp,.3,0.,nc,buff)
	buff='a'
	call labelc(8.95,yp-.1,.25,0.,1,buff)
	buff='Velocity zone / Zone de vitesse'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.25,0.,nc,buff) !15.4
	write(buff,'(''Z   = '',i1)')iznv
	nc=len_trim(buff)
	call labelc(8.7,yp,.3,0.,nc,buff)
	buff='v'
	call labelc(8.95,yp-.1,.25,0.,1,buff)
	buff=42hZonal acceleration / Acc'el'eration zonale
	nc=len_trim(buff)
	yp=yp+0.7
	call labelc(10.4,yp,.25,0.,nc,buff) !16.1
	write(buff,'(f4.2,'' g'')')za
	nc=len_trim(buff)
	call labelc(17.5,yp,.3,0.,nc,buff)
	buff='Zonal velocity / Vitesse zonale'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(10.4,yp,.25,0.,nc,buff) !15.4
	write(buff,'(f4.2,'' m/s'')')zv
	nc=len_trim(buff)
	call labelc(17.5,yp,.3,0.,nc,buff)
	call linewt(60)
!	box
	yp1=yp+1.9
	yp2=yp1-2.2
	call goto(1.2,yp1) !1.5,17.3
	call draw(19.3,yp1) !19.5,17.3
	call draw(19.3,yp2) !19.5,15.2
	call draw(1.2,yp2) !1.5,15.2
	call draw(1.2,yp1) !1.5,17.3
	buff='Ground motions for selected probability levels for above site'
	nc=len_trim(buff)
	yp=yp-1.
	ypbox3top=yp+0.4
	xp=3.0
	xpbox3left=xp-1.6
	call labelc(xp+1.4,yp,.3,0.,nc,buff)
	buff=87hMouvements du sol pour une s'election de niveaux de probabilit'e pour le site ci-dessus
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp-1.1,yp,.3,0.,nc,buff)
	buff='Probability of exceedence per annum'
	nc=len_trim(buff)
	xp=xp-0.7
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=39hProbabilit'e de d'epassement par ann'ee
	nc=len_trim(buff)
	yp=yp-0.35
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='0.010          0.005          0.0021         0.001'
	nc=len_trim(buff)
	call labelc(xp+8.,yp+0.175,.3,0.,nc,buff)
	buff='Probability of exceedence in 50 years'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=38hProbabilit'e de d'epassement en 50 ans
	nc=len_trim(buff)
	yp=yp-0.35
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=' 40%            22%            10%             5%'
	nc=len_trim(buff)
	call labelc(xp+8.,yp+0.175,.3,0.,nc,buff)
	buff='Peak horizontal ground acceleration (g)'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=46hAcc'el'eration horizontale maximale du sol (g)
	nc=len_trim(buff)
	yp=yp-0.35
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,1),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp+0.175,.3,0.,nc,buff)
	buff='Peak horizontal ground velocity (m/s)'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='Vitesse horizontale maximale du sol (m/s)'
	nc=len_trim(buff)
	yp=yp-0.35
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,2),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp+0.175,.3,0.,nc,buff)
	ypbox3bot=yp-0.2
	xpbox3right=xpbox3left+17.7
	call linewt(60)
	call goto(xpbox3left,ypbox3top)
	call draw(xpbox3right,ypbox3top)
	call draw(xpbox3right,ypbox3bot)
	call draw(xpbox3left,ypbox3bot)
	call draw(xpbox3left,ypbox3top)
	yp=yp-1.
	xp=1.
	buff='1995 NBCC seismic zones / CNBC zonage seismique'
	nc=len_trim(buff)
	call labelc(xp+4.1,yp,.3,0.,nc,buff)
	yp=yp-.5
	xpbox4left=xp+1.1
	xpbox4right=xpbox4left+16.2
	ypbox4top=yp+.9
	buff=74hprobability level: 10% in 50 years / niveau de probabilit'e: 10% en 50 ans
	nc=len_trim(buff)
	call labelc(xp+2.3,yp,.3,0.,nc,buff)
	xp=xp+1.5
	buff='g or m/s'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.04'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.08'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.11'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.16'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.23'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.32'
	xpr=xpr+1.5
	nc=len_trim(buff)
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='zone'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.35,0.,nc,buff)
	buff='0'
	nc=len_trim(buff)
	xpr=xp+6.
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='1'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='2'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='3'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='4'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='5'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='6*'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='zonal value/valeur zonale'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.7
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.05'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.10'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.15'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.20'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.30'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.40'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='* zone 6:  nominal value/ valeur nominale  0.40;'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='site-specific studies suggested for important projects'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp+1.9,yp,.3,0.,nc,buff)
	buff=68h'etudes compl'ementaires sugg'er'ees pour des projets d' importance.
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp+1.9,yp,.3,0.,nc,buff)
	ypbox4bot=yp-0.2
	call linewt(60)
	call goto(xpbox4left,ypbox4top)
	call draw(xpbox4right,ypbox4top)
	call draw(xpbox4right,ypbox4bot)
	call draw(xpbox4left,ypbox4bot)
	call draw(xpbox4left,ypbox4top)
	xp=xp-1.5
	buff='REFERENCES'
	nc=len_trim(buff)
	yp=yp-0.9
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='National Building Code of Canada 1995  NRCC no. 38726;'! section 4.1.9.1 sentence 5 and'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' section 4.1.9.1 sentence 5 and'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff='   Appendix C:'! Climatic Information for Building Design in Canada'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' Climatic Information for Building Design in Canada'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff=73hUser's Guide - NBC 1995, Structural Commentaries (Part 4)  NRCC no. 38826
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='   Commentary J:'! Effects of Earthquakes'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' Effects of Earthquakes'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff='Code National du B^atiment - Canada 1995, CNRC no 38726F;'! section 4.1.9.1 phrase 5 et'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=' section 4.1.9.1 phrase 5 et'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff='   Annexe C:'! Donn'ees climatiques pour le calcul des b^atiments au Canada
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=61h Donn'ees climatiques pour le calcul des b^atiments au Canada
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff=35hGuide de l' utilisateur - CNB 1995,
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff=70h   Commentaires sur le calcul des structures (Partie 4) CNRC no.38826F
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='   Commentaire J:'! Effets des s'eismes
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=20h Effets des s'eismes
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff=71hSee also the WEB site / Voir aussi le site WEB "www.seismo.nrcan.gc.ca"
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	call nrcanlogo
	call finishall
	write(6,'(/'' Output on '',a)')output
	return
	end
	subroutine hazardout_english_postscript
!	include '/home2/anglin/postscrpt/userpostscript.h'
	common/zpostscript/plotrotate,xt,yt,xpaper,ypaper&
	 ,xpspoints,ypspoints,ipspage,currentfont,usedfonts(17)&
	 ,numfonts,nowfont,xll,yll,xur,yur,iplotter,biling,fntscal,lenfont
	character (len=36) :: currentfont,usedfonts
	logical biling
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/info/engph,nceng,frph,ncfr,fax,ncfax,email,ncemail,web,ncweb
	common/comdatatime/date,time,zone,datetime(8)
	character (len=40) :: engph,frph,fax,email,web
	dimension tifsh(8,2),zn(6),zr(7)
	character (len=60) :: rname,sname,pname
	character (len=100) :: buff,output,newfont
	character (len=28) :: xchar
	character (len=8) :: date
	character (len=10) :: time
	character (len=5) :: zone
	integer datetime
	data zn/.04,.08,.11,.16,.23,.32/
	data zr/.0,.05,.1,.15,.2,.3,.4/
	data x1,x2,y1,y2,xsh,ysh/0.,20.,0.,25.,1.,1./
	data xchar/28h@#$%^()-+|~=`/?.>,<;:'"[{]}*/
	do I=1,8
		do J=1,2
			tifsh(i,j)=tifs(i,j)/100.
		enddo
	enddo
	A=tifsh(3,1)
	V=tifsh(3,2)
	izna=0
	iznv=0
	do I=1,6
		znn=zn(I)
		if(A.ge.znn)izna=I
		if(V.ge.znn)iznv=I
	enddo
	ZA=zr(izna+1)
	ZV=zr(iznv+1)
	if(iznv.eq.0.and.izna.gt.0)then
		ZV=0.05
	endif
	biling=.true.
	nc=len_trim(sname)
	j=0
	do 1 i=1,nc
		do k=1,28
			if(sname(i:i).eq.xchar(k:k))go to 1
		enddo
		j=j+1
		pname(j:j)=sname(i:i)
		if(pname(j:j).eq.' ')pname(j:j)='_'
1	continue
	biling=.true.
	output='hazard_for_'//pname(1:j)//'_english'//'.ps'
	call postscript(output)
	call define(x1,x2,y1,y2,20.,25.,xsh,ysh,ier)
	yps=25.5
	call linewt(1)
	call linewt(300)
	yp=yps+0.05
	yp1=yp
	yp2=yp-4.8
	call goto(1.3,yp1) !25.55
	call draw(1.3,yp2) !19.95
	call goto(19.2,yp1) !25.55
	call draw(19.2,yp2) !19.95
	call linewt(120)
	yp1=yp-0.05
	yp2=yp-4.75
	call goto(1.3,yp1) !25.5
	call draw(19.2,yp1) !25.5
	call goto(1.3,yp2) !20.
	call draw(19.2,yp2) !20.
	call linewt(1)
	call gsclogoefr(10.0,yps-2.05,2.0)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff='SEISMIC HAZARD CALCULATION'
	nc=len_trim(buff)
	yp=yp-0.75
	call labelc(6.5,yp,.35,0.,nc,buff) !24.8
	buff='Geological'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.6,yp,.35,0.,nc,buff) !23.7
	buff='Survey'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.0,yp,.35,0.,nc,buff) !23.
	buff='of'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.5,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.9,yp,.35,0.,nc,buff) !21.6
	buff='Commission'
	nc=len_trim(buff)
	yp=yp+1.8
	call labelc(15.0,yp,.35,0.,nc,buff) !23.7
	buff=11hg'eologique
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.15,yp,.35,0.,nc,buff) !23.
	buff='du'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(16.0,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.5,yp,.35,0.,nc,buff) !21.6
	write(buff,'(''INFORMATION...'',a,'' [English]  '',a,'' [fran|cais]'')')engph(1:nceng),frph(1:ncfr)
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(5.0,yp,.25,0.,nc,buff) !21.
	write(buff,'(''FAX:'',a,''   EMAIL: '',a,''   WEB:'',a)')fax(1:ncfax),email(1:ncemail),web(1:ncweb)
	nc=len_trim(buff)
	yp=yp-0.6
	call charlen(buff,nc,stringlength)
	call labelc(9.9-stringlength*0.25/2.,yp,.25,0.,nc,buff) !20.4
!	call labelc(3.1,yp,.25,0.,nc,buff) !20.4
	buff='Requested by'
	nc=len_trim(buff)
	yp=yp-1.
	call labelc(1.7,yp,.3,0.,nc,buff) !19.2
	nc=len_trim(rname)
	xp2=10.
	call label_centre(xp2,yp,.3,0.,nc,rname)
	write(buff,'(i2,''/'',i2.2,''/'',i4)')datetime(3),datetime(2),datetime(1)
	nc=len_trim(buff)
	call labelc(17.3,yp,0.3,0.,nc,buff)
	buff='Site'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !18.4
	nc=len_trim(sname)
	call label_centre(xp2,yp,.3,0.,nc,sname)
	buff='Located at'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !17.6
	write(buff,'(f5.2, '' North  '',f6.2,'' West'')')slat,slong
	nc=len_trim(buff)
	call label_centre(10.,yp,.3,0.,nc,buff)
	yp=yp-1.1
	yp1=yp+.6
	buff='Zoning for above site'
	nc=len_trim(buff)
	call label_centre(10.3,yp,.4,0.,nc,buff)!16.8
	buff='Acceleration zone'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !16.1
	write(buff,'(''Z   = '',i1)')izna
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='a'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff='Velocity zone'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !15.4
	write(buff,'(''Z   = '',i1)')iznv
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='v'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff='Zonal acceleration'
	nc=len_trim(buff)
	yp=yp+0.7
	call labelc(10.,yp,.3,0.,nc,buff) !16.1
	write(buff,'(f4.2,'' g'')')za
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	buff='Zonal velocity'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(10.,yp,.3,0.,nc,buff) !15.4
	write(buff,'(f4.2,'' m/s'')')zv
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	call linewt(60)
!	box
	yp2=yp-.3
	call goto(1.2,yp1) !1.5,17.3
	call draw(19.3,yp1) !19.5,17.3
	call draw(19.3,yp2) !19.5,15.2
	call draw(1.2,yp2) !1.5,15.2
	call draw(1.2,yp1) !1.5,17.3
	buff='Ground motions for selected probability levels for above site'
	nc=len_trim(buff)
	yp=yp-1.7
	ypbox3top=yp+0.6
	xp=3.0
	xpbox3left=xp-1.6
	call label_centre(10.2,yp,.4,0.,nc,buff)
	buff='Probability of exceedence per annum'
	nc=len_trim(buff)
	xp=xp-0.7
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='0.010          0.005          0.0021         0.001'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff='Probability of exceedence in 50 years'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=' 40%            22%            10%             5%'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff='Peak horizontal ground acceleration (g)'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,1),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	buff='Peak horizontal ground velocity (m/s)'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,2),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	ypbox3bot=yp-0.2
	xpbox3right=xpbox3left+17.7
	call linewt(60)
	call goto(xpbox3left,ypbox3top)
	call draw(xpbox3right,ypbox3top)
	call draw(xpbox3right,ypbox3bot)
	call draw(xpbox3left,ypbox3bot)
	call draw(xpbox3left,ypbox3top)
	yp=yp-1.6
	xp=1.
	buff='1995 NBCC seismic zones'
	nc=len_trim(buff)
	call label_centre(10.,yp,.4,0.,nc,buff)
	yp=yp-.5
	xpbox4left=xp+1.1
	xpbox4right=xpbox4left+16.2
	ypbox4top=yp+1.1
	buff='probability level: 10% in 50 years'
	nc=len_trim(buff)
	call label_centre(10.,yp,.35,0.,nc,buff)
	xp=xp+1.5
	buff='g or m/s'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.04'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.08'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.11'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.16'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.23'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.32'
	xpr=xpr+1.5
	nc=len_trim(buff)
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='zone'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.35,0.,nc,buff)
	buff='0'
	nc=len_trim(buff)
	xpr=xp+6.
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='1'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='2'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='3'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='4'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='5'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='6*'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='zonal value'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.7
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.05'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.10'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.15'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.20'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.30'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.40'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='* zone 6:  nominal value  0.40;'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='site-specific studies suggested for important projects'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp+1.9,yp,.3,0.,nc,buff)
	ypbox4bot=yp-0.2
	call linewt(60)
	call goto(xpbox4left,ypbox4top)
	call draw(xpbox4right,ypbox4top)
	call draw(xpbox4right,ypbox4bot)
	call draw(xpbox4left,ypbox4bot)
	call draw(xpbox4left,ypbox4top)
	xp=xp-1.5
	buff='REFERENCES'
	nc=len_trim(buff)
	yp=yp-0.9
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='National Building Code of Canada 1995  NRCC no. 38726;' ! section 4.1.9.1 sentence 5 and'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' section 4.1.9.1 sentence 5 and'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff='   Appendix C:'!
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' Climatic Information for Building Design in Canada'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff=73hUser's Guide - NBC 1995, Structural Commentaries (Part 4)  NRCC no. 38826
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='   Commentary J:'!
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' Effects of Earthquakes'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff=47hSee also the WEB site  "www.seismo.nrcan.gc.ca"
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff='Aussi disponible en fran|cais'
	nc=len_trim(buff)
	yp=yp-0.5
	xl=xstring_length(.3,nc,buff)
	call labelc(19.-xl,2.,.3,0.,nc,buff)
	call nrcanlogo
	call finishall
	write(6,'(/'' Output on '',a)')output
	return
	end

	subroutine hazardout_english_txt
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/info/engph,nceng,frph,ncfr,fax,ncfax,email,ncemail,web,ncweb
	common/comdatatime/date,time,zone,datetime(8)
	character (len=40) :: engph,frph,fax,email,web
	dimension tifsh(8,2),zn(6),zr(7)
	character (len=60) :: rname,sname,pname
	character (len=100) :: output,fmt
	character (len=28) :: xchar
	character (len=8) :: date
	character (len=10) :: time
	character (len=5) :: zone
	integer datetime
	data zn/.04,.08,.11,.16,.23,.32/
	data zr/.0,.05,.1,.15,.2,.3,.4/
	data xchar/28h@#$%^()-+|~=`/?.>,<;:'"[{]}*/
	do I=1,8
		do J=1,2
			tifsh(i,j)=tifs(i,j)/100.
		enddo
	enddo
	A=tifsh(3,1)
	V=tifsh(3,2)
	izna=0
	iznv=0
	do I=1,6
		znn=zn(I)
		if(A.ge.znn)izna=I
		if(V.ge.znn)iznv=I
	enddo
	ZA=zr(izna+1)
	ZV=zr(iznv+1)
	if(iznv.eq.0.and.izna.gt.0)then
		ZV=0.05
	endif
	nc=len_trim(sname)
	j=0
	do 1 i=1,nc
		do k=1,28
			if(sname(i:i).eq.xchar(k:k))go to 1
		enddo
		j=j+1
		pname(j:j)=sname(i:i)
		if(pname(j:j).eq.' ')pname(j:j)='_'
1	continue
	output='hazard_for_'//pname(1:j)//'_eng.txt'
4	open(2,file=output,status='new',err=2)
	go to 3
2	open(2,file=output,status='old',err=3)
	close(2,status='delete',err=3)
	go to 4
3	write(2,'('' ______________________________________________________________________________'')')
	write(2,'(''|'',t80,''|'')')
	write(2,'(''|'',t28,''SEISMIC HAZARD CALCULATION'',t80,''|'')')
	write(2,'(''|'',t6,''Geological'',t65,''Commission'',t80,''|'')')
	write(2,'(''|'',t8,''Survey'',t65,''geologique'',t80,''|'')')
	write(2,'(''|'',t10,''of'',t69,''du'',t80,''|'')')
	write(2,'(''|'',t8,''Canada'',t67,''Canada'',t80,''|'')')
	write(2,'(''|'',t80,''|'')')
	write(2,'(''|'',t6,''INFORMATION...'',a,'' [English]  '',a,'' [francais]'',t80,''|'')')engph(1:nceng),frph(1:ncfr)
	write(2,'(''|'',t80,''|'')')
	write(2,'(''|'',t3,''FAX:'',a,'' EMAIL: '',a,''  WEB:'',a,t80,''|'')')fax(1:ncfax),email(1:ncemail),web(1:ncweb)
	write(2,'(''|______________________________________________________________________________|'')')
	nc=len_trim(rname)
	write(fmt,7)40-nc/2
7	format(22h(//t4,'Requested by',t,i2.2,29h,a,t69,i2,'','/',i2.2,'/',i4))
	write(2,fmt)rname(1:nc),datetime(3),datetime(2),datetime(1)
	nc=len_trim(sname)
	write(fmt,8)40-nc/2
8	format(13h(/t4,'Site',t,i2.2,3h,a))
	write(2,fmt)sname(1:nc)
	write(2,'(/t4,''Located at'',t28,f5.2, '' North  '',f6.2,'' West'')')slat,slong
	write(2,'(//'' ______________________________________________________________________________ '')')
	write(2,'(''|'',t80,''|'')')
	write(2,'(''|'',t30,''Zoning for above site'',t80,''|'')')
	write(2,'(''|'',t80,''|'')')
	write(2,'(''|'',t4,''Acceleration zone     Za = '',i1,t48,''Zonal acceleration    '',f4.2,'' g'',t80,''|'')')izna,za
	write(2,'(''|'',t80,''|'')')
	write(2,'(''|'',t4,''Velocity zone         Zv = '',i1,t48,''Zonal velocity        '',f4.2,'' m/s'',t80,''|'')')iznv,zv
	write(2,'(''|______________________________________________________________________________|'')')
	write(2,'(/)')
	write(2,'(t1,'' ______________________________________________________________________________'')')
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t10,''Ground motions for selected probability levels for above site'',t80,''|'')')
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t3,''Probability of exceedence per annum     0.010     0.005     0.0021    0.001'',t80,''|'')')
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t3,''Probability of exceedence in 50 years    40%       22%       10%        5%'',t80,''|'')')
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t3,''Peak horizontal ground acceleration (g)'',f6.3,f10.3,f10.3,f10.3,t80,''|'')')(tifsh(i,1),i=1,4)
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t3,''Peak horizontal ground velocity (m/s)  '',f6.3,f10.3,f10.3,f10.3,t80,''|'')')(tifsh(i,2),i=1,4)
	write(2,'(t1,''|______________________________________________________________________________|'')')
	write(2,'(/)')
	write(2,'(t1,'' ______________________________________________________________________________'')')
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t30,''1995 NBCC seismic zones'',t80,''|'')')
	write(2,'(t1,''|'',t24,''probability level: 10% in 50 years'',t80,''|'')')
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t5,''g or m/s       0.00    0.04    0.08    0.11    0.16    0.23    0.32'',t80,''|'')')
	write(2,'(t1,''|'',t5,''ZONE                0       1       2       3       4       5       6*'',t80,''|'')')
	write(2,'(t1,''|'',t5,''zonal value        0.00    0.05    0.10    0.15    0.20    0.30    0.40'',t80,''|'')')
	write(2,'(t1,''|'',t80,''|'')')
	write(2,'(t1,''|'',t5,''* zone 6: nominal value 0.40;'',t80,''|'')')
	write(2,'(t1,''|'',t15,''site-specific studies suggested for important projects'',t80,''|'')')
	write(2,'(t1,''|______________________________________________________________________________|'')')
	write(2,'(/''REFERENCES'')')
	write(2,'(''National Building Code of Canada 1995'')')
	write(2,'(''  NRCC no. 38726; section 4.1.9.1 sentence 5 and'')')
	write(2,'(''  Appendix C: Climatic Information for Building Design in Canada'')')
	write(2,6)
6	format(/73hUser's Guide - NBC 1995, Structural Commentaries (Part 4)  NRCC no. 38826)
	write(2,'('' Commentary J: Effects of Earthquakes'')')
	write(2,'(/,47hSee also the WEB site  "www.seismo.nrcan.gc.ca")')
	write(2,'(/t52,''Aussi disponible en francais'')')
	write(2,'(/''Natural Resources Canada'',t52,''Ressources naturelles Canada'')')
	write(6,'(/'' Output on '',a)')output
	close(2)
	return
	end



	subroutine hazardout_french_postscript
!	include '/home2/anglin/postscrpt/userpostscript.h'
	common/zpostscript/plotrotate,xt,yt,xpaper,ypaper&
	 ,xpspoints,ypspoints,ipspage,currentfont,usedfonts(17)&
	 ,numfonts,nowfont,xll,yll,xur,yur,iplotter,biling,fntscal,lenfont
	character (len=36) :: currentfont,usedfonts
	logical biling
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/info/engph,nceng,frph,ncfr,fax,ncfax,email,ncemail,web,ncweb
	common/comdatatime/date,time,zone,datetime(8)
	character (len=40) :: engph,frph,fax,email,web
	dimension tifsh(8,2),zn(6),zr(7)
	character (len=60) :: rname,sname,pname
	character (len=100) :: buff,output,newfont
	character (len=28) :: xchar
	character (len=8) :: date
	character (len=10) :: time
	character (len=5) :: zone
	integer datetime
	data zn/.04,.08,.11,.16,.23,.32/
	data zr/.0,.05,.1,.15,.2,.3,.4/
	data x1,x2,y1,y2,xsh,ysh/0.,20.,0.,25.,1.,1./
	data xchar/28h@#$%^()-+|~=`/?.>,<;:'"[{]}*/
	do I=1,8
		do J=1,2
			tifsh(i,j)=tifs(i,j)/100.
		enddo
	enddo
	A=tifsh(3,1)
	V=tifsh(3,2)
	izna=0
	iznv=0
	do I=1,6
		znn=zn(I)
		if(A.ge.znn)izna=I
		if(V.ge.znn)iznv=I
	enddo
	ZA=zr(izna+1)
	ZV=zr(iznv+1)
	if(iznv.eq.0.and.izna.gt.0)then
		ZV=0.05
	endif
	biling=.true.
	nc=len_trim(sname)
	j=0
	do 1 i=1,nc
		do k=1,28
			if(sname(i:i).eq.xchar(k:k))go to 1
		enddo
		j=j+1
		pname(j:j)=sname(i:i)
		if(pname(j:j).eq.' ')pname(j:j)='_'
1	continue
	biling=.true.
	output='hazard_for_'//pname(1:j)//'_french'//'.ps'
	call postscript(output)
	call define(x1,x2,y1,y2,20.,25.,xsh,ysh,ier)
	yps=25.5
	call linewt(1)
	call linewt(300)
	yp=yps+0.05
	yp1=yp
	yp2=yp-4.8
	call goto(1.3,yp1) !25.55
	call draw(1.3,yp2) !19.95
	call goto(19.2,yp1) !25.55
	call draw(19.2,yp2) !19.95
	call linewt(120)
	yp1=yp-0.05
	yp2=yp-4.75
	call goto(1.3,yp1) !25.5
	call draw(19.2,yp1) !25.5
	call goto(1.3,yp2) !20.
	call draw(19.2,yp2) !20.
	call linewt(1)
	call gsclogoefr(10.0,yps-2.05,2.0)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff=26hCALCUL D' AL'EA S'EISMIQUE
	nc=len_trim(buff)
	yp=yp-0.75
	call label_centre(10.,yp,.35,0.,nc,buff) !24.8
	buff='Geological'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.6,yp,.35,0.,nc,buff) !23.7
	buff='Survey'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.0,yp,.35,0.,nc,buff) !23.
	buff='of'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.5,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.9,yp,.35,0.,nc,buff) !21.6
	buff='Commission'
	nc=len_trim(buff)
	yp=yp+1.8
	call labelc(15.0,yp,.35,0.,nc,buff) !23.7
	buff=11hg'eologique
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.15,yp,.35,0.,nc,buff) !23.
	buff='du'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(16.0,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.5,yp,.35,0.,nc,buff) !21.6
	write(buff,'(''INFORMATION...'',a,'' [English]  '',a,'' [fran|cais]'')')engph(1:nceng),frph(1:ncfr)
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(5.0,yp,.25,0.,nc,buff) !21.
	write(buff,'(''FAX:'',a,''   EMAIL:'',a,''    WEB:'',a)')fax(1:ncfax),email(1:ncemail),web(1:ncweb)
	nc=len_trim(buff)
	yp=yp-0.6
	call charlen(buff,nc,stringlength)
	call labelc(9.9-stringlength*0.25/2.,yp,.25,0.,nc,buff) !20.4
!	call labelc(3.1,yp,.25,0.,nc,buff) !20.4
	buff=12hDemand'e par
	nc=len_trim(buff)
	yp=yp-1.
	call labelc(1.7,yp,.3,0.,nc,buff) !19.2
	nc=len_trim(rname)
	xp2=10.
	call label_centre(xp2,yp,.3,0.,nc,rname)
	write(buff,'(i2,''/'',i2.2,''/'',i4)')datetime(3),datetime(2),datetime(1)
	nc=len_trim(buff)
	call labelc(17.3,yp,0.3,0.,nc,buff)
	buff='Site'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !18.4
	nc=len_trim(sname)
	call label_centre(xp2,yp,.3,0.,nc,sname)
	buff=9hSitu'e `a
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !17.6
	write(buff,'(f5.2, '' Nord  '',f6.2,'' Ouest'')')slat,slong
	nc=len_trim(buff)
	call label_centre(10.,yp,.3,0.,nc,buff)
	yp=yp-1.1
	yp1=yp+.6
	buff='Zonage du site ci-dessus'
	nc=len_trim(buff)
	call label_centre(10.,yp,.4,0.,nc,buff)!16.8
	buff=22hZone d' acc'el'eration
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !16.1
	write(buff,'(''Z   = '',i1)')izna
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='a'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff='Zone de vitesse'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !15.4
	write(buff,'(''Z   = '',i1)')iznv
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='v'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff=21hAcc'el'eration zonale
	nc=len_trim(buff)
	yp=yp+0.7
	call labelc(10.,yp,.3,0.,nc,buff) !16.1
	write(buff,'(f4.2,'' g'')')za
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	buff='Vitesse zonale'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(10.,yp,.3,0.,nc,buff) !15.4
	write(buff,'(f4.2,'' m/s'')')zv
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	call linewt(60)
!	box
	yp2=yp-.3
	call goto(1.2,yp1) !1.5,17.3
	call draw(19.3,yp1) !19.5,17.3
	call draw(19.3,yp2) !19.5,15.2
	call draw(1.2,yp2) !1.5,15.2
	call draw(1.2,yp1) !1.5,17.3
	buff=87hMouvements du sol pour une s'election de niveaux de probabilit'e pour le site ci-dessus
	nc=len_trim(buff)
	yp=yp-1.7
	ypbox3top=yp+0.6
	xp=3.0
	xpbox3left=xp-1.6
	call label_centre(10.3,yp,.3,0.,nc,buff)
	buff=39hProbabilit'e de d'epassement par ann'ee
	nc=len_trim(buff)
	xp=xp-0.7
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='0.010          0.005          0.0021         0.001'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff=38hProbabilit'e de d'epassement en 50 ans
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=' 40%            22%            10%             5%'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff=46hAcc'el'eration horizontale maximale du sol (g)
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,1),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	buff='Vitesse horizontale maximale du sol (m/s)'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,2),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	ypbox3bot=yp-0.2
	xpbox3right=xpbox3left+17.7
	call linewt(60)
	call goto(xpbox3left,ypbox3top)
	call draw(xpbox3right,ypbox3top)
	call draw(xpbox3right,ypbox3bot)
	call draw(xpbox3left,ypbox3bot)
	call draw(xpbox3left,ypbox3top)
	yp=yp-1.6
	xp=1.
	buff='1995 CNBC zonage seismique'
	nc=len_trim(buff)
	call label_centre(10.,yp,.4,0.,nc,buff)
	yp=yp-.5
	xpbox4left=xp+1.1
	xpbox4right=xpbox4left+16.2
	ypbox4top=yp+1.1
	buff=37hniveau de probabilit'e: 10% en 50 ans
	nc=len_trim(buff)
	call label_centre(10.,yp,.35,0.,nc,buff)
	xp=xp+1.5
	buff='g ou m/s'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.04'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.08'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.11'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.16'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.23'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.32'
	xpr=xpr+1.5
	nc=len_trim(buff)
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='zone'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.35,0.,nc,buff)
	buff='0'
	nc=len_trim(buff)
	xpr=xp+6.
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='1'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='2'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='3'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='4'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='5'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='6*'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='valeur zonale'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.7
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.05'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.10'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.15'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.20'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.30'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.40'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='* zone 6:  valeur nominale  0.40;'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	buff=68h'etudes compl'ementaires sugg'er'ees pour des projets d' importance.
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp+1.9,yp,.3,0.,nc,buff)
	ypbox4bot=yp-0.2
	call linewt(60)
	call goto(xpbox4left,ypbox4top)
	call draw(xpbox4right,ypbox4top)
	call draw(xpbox4right,ypbox4bot)
	call draw(xpbox4left,ypbox4bot)
	call draw(xpbox4left,ypbox4top)
	xp=xp-1.5
	buff='REFERENCES'
	nc=len_trim(buff)
	yp=yp-0.9
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='Code National du B^atiment - Canada 1995, CNRC no 38726F;'! section 4.1.9.1 phrase 5 et'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=' section 4.1.9.1 phrase 5 et'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff='   Annexe C:'! Donn'ees climatiques pour le calcul des b^atiments au Canada
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=61h Donn'ees climatiques pour le calcul des b^atiments au Canada
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff=35hGuide de l' utilisateur - CNB 1995,
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff=70h   Commentaires sur le calcul des structures (Partie 4) CNRC no.38826F
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='   Commentaire J:'! Effets des s'eismes
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=20h Effets des s'eismes
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff=47hVoir aussi le site WEB "www.seismo.nrcan.gc.ca"
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='Also available in english'
	nc=len_trim(buff)
	yp=yp-0.5
	xl=xstring_length(.3,nc,buff)
	call labelc(19.-xl,2.,.3,0.,nc,buff)
	call nrcanlogo
	call finishall
	write(6,'(/'' Output on '',a)')output
	return
	end
	subroutine hazardout_eng_fr_postscript
!	include '/home2/anglin/postscrpt/userpostscript.h'
	common/zpostscript/plotrotate,xt,yt,xpaper,ypaper&
	 ,xpspoints,ypspoints,ipspage,currentfont,usedfonts(17)&
	 ,numfonts,nowfont,xll,yll,xur,yur,iplotter,biling,fntscal,lenfont
	character (len=36) :: currentfont,usedfonts
	logical biling
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/info/engph,nceng,frph,ncfr,fax,ncfax,email,ncemail,web,ncweb
	common/comdatatime/date,time,zone,datetime(8)
	character (len=40) :: engph,frph,fax,email,web
	dimension tifsh(8,2),zn(6),zr(7)
	character (len=60) :: rname,sname,pname
	character (len=100) :: buff,output,newfont
	character (len=28) :: xchar
	character (len=8) :: date
	character (len=10) :: time
	character (len=5) :: zone
	integer datetime
	data zn/.04,.08,.11,.16,.23,.32/
	data zr/.0,.05,.1,.15,.2,.3,.4/
	data x1,x2,y1,y2,xsh,ysh/0.,20.,0.,25.,1.,1./
	data xchar/28h@#$%^()-+|~=`/?.>,<;:'"[{]}*/
	do I=1,8
		do J=1,2
			tifsh(i,j)=tifs(i,j)/100.
		enddo
	enddo
	A=tifsh(3,1)
	V=tifsh(3,2)
	izna=0
	iznv=0
	do I=1,6
		znn=zn(I)
		if(A.ge.znn)izna=I
		if(V.ge.znn)iznv=I
	enddo
	ZA=zr(izna+1)
	ZV=zr(iznv+1)
	if(iznv.eq.0.and.izna.gt.0)then
		ZV=0.05
	endif
	biling=.true.
	nc=len_trim(sname)
	j=0
	do 1 i=1,nc
		do k=1,28
			if(sname(i:i).eq.xchar(k:k))go to 1
		enddo
		j=j+1
		pname(j:j)=sname(i:i)
		if(pname(j:j).eq.' ')pname(j:j)='_'
1	continue
	biling=.true.
	output='hazard_for_'//pname(1:j)//'_eng_fr'//'.ps'
	call postscript(output)
	call define(x1,x2,y1,y2,20.,25.,xsh,ysh,ier)
	yps=25.5
	call linewt(300)
	yp=yps+0.05
	yp1=yp
	yp2=yp-4.8
	call goto(1.3,yp1) !25.55
	call draw(1.3,yp2) !19.95
	call goto(19.2,yp1) !25.55
	call draw(19.2,yp2) !19.95
	call linewt(120)
	yp1=yp-0.05
	yp2=yp-4.75
	call goto(1.3,yp1) !25.5
	call draw(19.2,yp1) !25.5
	call goto(1.3,yp2) !20.
	call draw(19.2,yp2) !20.
	call linewt(1)
	call gsclogoefr(10.0,yps-2.05,2.0)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff='SEISMIC HAZARD CALCULATION'
	nc=len_trim(buff)
	yp=yp-0.75
	call labelc(6.5,yp,.35,0.,nc,buff) !24.8
	buff='Geological'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.6,yp,.35,0.,nc,buff) !23.7
	buff='Survey'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.0,yp,.35,0.,nc,buff) !23.
	buff='of'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.5,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.9,yp,.35,0.,nc,buff) !21.6
	buff='Commission'
	nc=len_trim(buff)
	yp=yp+1.8
	call labelc(15.0,yp,.35,0.,nc,buff) !23.7
	buff=11hg'eologique
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.15,yp,.35,0.,nc,buff) !23.
	buff='du'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(16.0,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.5,yp,.35,0.,nc,buff) !21.6
	write(buff,'(''INFORMATION...'',a,'' [English]  '',a,'' [fran|cais]'')')engph(1:nceng),frph(1:ncfr)
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(5.0,yp,.25,0.,nc,buff) !21.
	write(buff,'(''FAX:'',a,''   EMAIL:'',a,''    WEB:'',a)')fax(1:ncfax),email(1:ncemail),web(1:ncweb)
	nc=len_trim(buff)
	yp=yp-0.6
	call charlen(buff,nc,stringlength)
	call labelc(9.9-stringlength*0.25/2.,yp,.25,0.,nc,buff) !20.4
!	call labelc(3.1,yp,.25,0.,nc,buff) !20.4
	buff='Requested by'
	nc=len_trim(buff)
	yp=yp-1.
	call labelc(1.7,yp,.3,0.,nc,buff) !19.2
	nc=len_trim(rname)
	xp2=10.
	call label_centre(xp2,yp,.3,0.,nc,rname)
	write(buff,'(i2,''/'',i2.2,''/'',i4)')datetime(3),datetime(2),datetime(1)
	nc=len_trim(buff)
	call labelc(17.3,yp,0.3,0.,nc,buff)
	buff='Site'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !18.4
	nc=len_trim(sname)
	call label_centre(xp2,yp,.3,0.,nc,sname)
	buff='Located at'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !17.6
	write(buff,'(f5.2, '' North  '',f6.2,'' West'')')slat,slong
	nc=len_trim(buff)
	call label_centre(10.,yp,.3,0.,nc,buff)
	yp=yp-1.1
	yp1=yp+.6
	buff='Zoning for above site'
	nc=len_trim(buff)
	call label_centre(10.3,yp,.4,0.,nc,buff)!16.8
	buff='Acceleration zone'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !16.1
	write(buff,'(''Z   = '',i1)')izna
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='a'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff='Velocity zone'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !15.4
	write(buff,'(''Z   = '',i1)')iznv
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='v'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff='Zonal acceleration'
	nc=len_trim(buff)
	yp=yp+0.7
	call labelc(10.,yp,.3,0.,nc,buff) !16.1
	write(buff,'(f4.2,'' g'')')za
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	buff='Zonal velocity'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(10.,yp,.3,0.,nc,buff) !15.4
	write(buff,'(f4.2,'' m/s'')')zv
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	call linewt(60)
!	box
	yp2=yp-.3
	call goto(1.2,yp1) !1.5,17.3
	call draw(19.3,yp1) !19.5,17.3
	call draw(19.3,yp2) !19.5,15.2
	call draw(1.2,yp2) !1.5,15.2
	call draw(1.2,yp1) !1.5,17.3
	buff='Ground motions for selected probability levels for above site'
	nc=len_trim(buff)
	yp=yp-1.7
	ypbox3top=yp+0.6
	xp=3.0
	xpbox3left=xp-1.6
	call label_centre(10.2,yp,.4,0.,nc,buff)
	buff='Probability of exceedence per annum'
	nc=len_trim(buff)
	xp=xp-0.7
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='0.010          0.005          0.0021         0.001'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff='Probability of exceedence in 50 years'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=' 40%            22%            10%             5%'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff='Peak horizontal ground acceleration (g)'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,1),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	buff='Peak horizontal ground velocity (m/s)'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,2),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	ypbox3bot=yp-0.2
	xpbox3right=xpbox3left+17.7
	call linewt(60)
	call goto(xpbox3left,ypbox3top)
	call draw(xpbox3right,ypbox3top)
	call draw(xpbox3right,ypbox3bot)
	call draw(xpbox3left,ypbox3bot)
	call draw(xpbox3left,ypbox3top)
	yp=yp-1.6
	xp=1.
	buff='1995 NBCC seismic zones'
	nc=len_trim(buff)
	call label_centre(10.,yp,.4,0.,nc,buff)
	yp=yp-.5
	xpbox4left=xp+1.1
	xpbox4right=xpbox4left+16.2
	ypbox4top=yp+1.1
	buff='probability level: 10% in 50 years'
	nc=len_trim(buff)
	call label_centre(10.,yp,.35,0.,nc,buff)
	xp=xp+1.5
	buff='g or m/s'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.04'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.08'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.11'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.16'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.23'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.32'
	xpr=xpr+1.5
	nc=len_trim(buff)
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='zone'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.35,0.,nc,buff)
	buff='0'
	nc=len_trim(buff)
	xpr=xp+6.
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='1'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='2'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='3'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='4'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='5'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='6*'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='zonal value'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.7
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.05'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.10'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.15'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.20'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.30'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.40'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='* zone 6:  nominal value  0.40;'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='site-specific studies suggested for important projects'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp+1.9,yp,.3,0.,nc,buff)
	ypbox4bot=yp-0.2
	call linewt(60)
	call goto(xpbox4left,ypbox4top)
	call draw(xpbox4right,ypbox4top)
	call draw(xpbox4right,ypbox4bot)
	call draw(xpbox4left,ypbox4bot)
	call draw(xpbox4left,ypbox4top)
	xp=xp-1.5
	buff='REFERENCES'
	nc=len_trim(buff)
	yp=yp-0.9
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='National Building Code of Canada 1995  NRCC no. 38726;' ! section 4.1.9.1 sentence 5 and'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' section 4.1.9.1 sentence 5 and'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff='   Appendix C:'!
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' Climatic Information for Building Design in Canada'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff=73hUser's Guide - NBC 1995, Structural Commentaries (Part 4)  NRCC no. 38826
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='   Commentary J:'!
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica'
	call fontchange(newfont)
	buff=' Effects of Earthquakes'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold'
	call fontchange(newfont)
	buff=47hSee also the WEB site  "www.seismo.nrcan.gc.ca"
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff='Aussi disponible en fran|cais'
	nc=len_trim(buff)
	yp=yp-0.5
	xl=xstring_length(.3,nc,buff)
	call labelc(19.-xl,2.,.3,0.,nc,buff)
	call nrcanlogo
	call new_page
	call define(x1,x2,y1,y2,20.,25.,xsh,ysh,ier)
	yps=25.5
	call linewt(300)
	yp=yps+0.05
	yp1=yp
	yp2=yp-4.8
	call goto(1.3,yp1) !25.55
	call draw(1.3,yp2) !19.95
	call goto(19.2,yp1) !25.55
	call draw(19.2,yp2) !19.95
	call linewt(120)
	yp1=yp-0.05
	yp2=yp-4.75
	call goto(1.3,yp1) !25.5
	call draw(19.2,yp1) !25.5
	call goto(1.3,yp2) !20.
	call draw(19.2,yp2) !20.
	call linewt(1)
	call gsclogoefr(10.0,yps-2.05,2.0)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff=26hCALCUL D' AL'EA S'EISMIQUE
	nc=len_trim(buff)
	yp=yp-0.75
	call label_centre(10.,yp,.35,0.,nc,buff) !24.8
	buff='Geological'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.6,yp,.35,0.,nc,buff) !23.7
	buff='Survey'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.0,yp,.35,0.,nc,buff) !23.
	buff='of'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(3.5,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(2.9,yp,.35,0.,nc,buff) !21.6
	buff='Commission'
	nc=len_trim(buff)
	yp=yp+1.8
	call labelc(15.0,yp,.35,0.,nc,buff) !23.7
	buff=11hg'eologique
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.15,yp,.35,0.,nc,buff) !23.
	buff='du'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(16.0,yp,.35,0.,nc,buff) !22.3
	buff='Canada'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(15.5,yp,.35,0.,nc,buff) !21.6
	write(buff,'(''INFORMATION...'',a,'' [English]  '',a,'' [fran|cais]'')')engph(1:nceng),frph(1:ncfr)
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(5.0,yp,.25,0.,nc,buff) !21.
	write(buff,'(''FAX:'',a,''   EMAIL:'',a,''    WEB:'',a)')fax(1:ncfax),email(1:ncemail),web(1:ncweb)
	nc=len_trim(buff)
	yp=yp-0.6
	call charlen(buff,nc,stringlength)
	call labelc(9.9-stringlength*0.25/2.,yp,.25,0.,nc,buff) !20.4
!	call labelc(3.1,yp,.25,0.,nc,buff) !20.4
	buff=12hDemand'e par
	nc=len_trim(buff)
	yp=yp-1.
	call labelc(1.7,yp,.3,0.,nc,buff) !19.2
	nc=len_trim(rname)
	xp2=10.
	call label_centre(xp2,yp,.3,0.,nc,rname)
	write(buff,'(i2,''/'',i2.2,''/'',i4)')datetime(3),datetime(2),datetime(1)
	nc=len_trim(buff)
	call labelc(17.3,yp,0.3,0.,nc,buff)
	buff='Site'
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !18.4
	nc=len_trim(sname)
	call label_centre(xp2,yp,.3,0.,nc,sname)
	buff=9hSitu'e `a
	nc=len_trim(buff)
	yp=yp-0.8
	call labelc(1.7,yp,.3,0.,nc,buff) !17.6
	write(buff,'(f5.2, '' Nord  '',f6.2,'' Ouest'')')slat,slong
	nc=len_trim(buff)
	call label_centre(10.,yp,.3,0.,nc,buff)
	yp=yp-1.1
	yp1=yp+.6
	buff='Zonage du site ci-dessus'
	nc=len_trim(buff)
	call label_centre(10.,yp,.4,0.,nc,buff)!16.8
	buff=22hZone d' acc'el'eration
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !16.1
	write(buff,'(''Z   = '',i1)')izna
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='a'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff='Zone de vitesse'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(1.4,yp,.3,0.,nc,buff) !15.4
	write(buff,'(''Z   = '',i1)')iznv
	nc=len_trim(buff)
	call labelc(6.5,yp,.3,0.,nc,buff)
	buff='v'
	call labelc(6.75,yp-.1,.25,0.,1,buff)
	buff=21hAcc'el'eration zonale
	nc=len_trim(buff)
	yp=yp+0.7
	call labelc(10.,yp,.3,0.,nc,buff) !16.1
	write(buff,'(f4.2,'' g'')')za
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	buff='Vitesse zonale'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(10.,yp,.3,0.,nc,buff) !15.4
	write(buff,'(f4.2,'' m/s'')')zv
	nc=len_trim(buff)
	call labelc(15.5,yp,.3,0.,nc,buff)
	call linewt(60)
!	box
	yp2=yp-.3
	call goto(1.2,yp1) !1.5,17.3
	call draw(19.3,yp1) !19.5,17.3
	call draw(19.3,yp2) !19.5,15.2
	call draw(1.2,yp2) !1.5,15.2
	call draw(1.2,yp1) !1.5,17.3
	buff=87hMouvements du sol pour une s'election de niveaux de probabilit'e pour le site ci-dessus
	nc=len_trim(buff)
	yp=yp-1.7
	ypbox3top=yp+0.6
	xp=3.0
	xpbox3left=xp-1.6
	call label_centre(10.3,yp,.3,0.,nc,buff)
	buff=39hProbabilit'e de d'epassement par ann'ee
	nc=len_trim(buff)
	xp=xp-0.7
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='0.010          0.005          0.0021         0.001'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff=38hProbabilit'e de d'epassement en 50 ans
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	call labelc(xp,yp,.25,0.,nc,buff)
	buff=' 40%            22%            10%             5%'
	nc=len_trim(buff)
	call labelc(xp+8.,yp,.3,0.,nc,buff)
	buff=46hAcc'el'eration horizontale maximale du sol (g)
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,1),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	buff='Vitesse horizontale maximale du sol (m/s)'
	nc=len_trim(buff)
	yp=yp-0.7
	call labelc(xp,yp,.25,0.,nc,buff)
	write(buff,'(f13.3,f15.3,f16.3,f15.3)')(tifsh(i,2),i=1,4)
	nc=len_trim(buff)
	call labelc(xp+7.1,yp,.3,0.,nc,buff)
	ypbox3bot=yp-0.2
	xpbox3right=xpbox3left+17.7
	call linewt(60)
	call goto(xpbox3left,ypbox3top)
	call draw(xpbox3right,ypbox3top)
	call draw(xpbox3right,ypbox3bot)
	call draw(xpbox3left,ypbox3bot)
	call draw(xpbox3left,ypbox3top)
	yp=yp-1.6
	xp=1.
	buff='1995 CNBC zonage seismique'
	nc=len_trim(buff)
	call label_centre(10.,yp,.4,0.,nc,buff)
	yp=yp-.5
	xpbox4left=xp+1.1
	xpbox4right=xpbox4left+16.2
	ypbox4top=yp+1.1
	buff=37hniveau de probabilit'e: 10% en 50 ans
	nc=len_trim(buff)
	call label_centre(10.,yp,.35,0.,nc,buff)
	xp=xp+1.5
	buff='g ou m/s'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.04'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.08'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.11'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.16'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.23'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.32'
	xpr=xpr+1.5
	nc=len_trim(buff)
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='zone'
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.35,0.,nc,buff)
	buff='0'
	nc=len_trim(buff)
	xpr=xp+6.
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='1'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='2'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='3'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='4'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='5'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='6*'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.35,0.,nc,buff)
	buff='valeur zonale'
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='0.00'
	nc=len_trim(buff)
	xpr=xp+5.7
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.05'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.10'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.15'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.20'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.30'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='0.40'
	nc=len_trim(buff)
	xpr=xpr+1.5
	call labelc(xpr,yp,.3,0.,nc,buff)
	buff='* zone 6:  valeur nominale  0.40;'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	buff=68h'etudes compl'ementaires sugg'er'ees pour des projets d' importance.
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp+1.9,yp,.3,0.,nc,buff)
	ypbox4bot=yp-0.2
	call linewt(60)
	call goto(xpbox4left,ypbox4top)
	call draw(xpbox4right,ypbox4top)
	call draw(xpbox4right,ypbox4bot)
	call draw(xpbox4left,ypbox4bot)
	call draw(xpbox4left,ypbox4top)
	xp=xp-1.5
	buff='REFERENCES'
	nc=len_trim(buff)
	yp=yp-0.9
	call labelc(xp,yp,.25,0.,nc,buff)
	buff='Code National du B^atiment - Canada 1995, CNRC no 38726F;'! section 4.1.9.1 phrase 5 et'
	nc=len_trim(buff)
	yp=yp-0.6
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=' section 4.1.9.1 phrase 5 et'
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff='   Annexe C:'! Donn'ees climatiques pour le calcul des b^atiments au Canada
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=61h Donn'ees climatiques pour le calcul des b^atiments au Canada
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff=35hGuide de l' utilisateur - CNB 1995,
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff=70h   Commentaires sur le calcul des structures (Partie 4) CNRC no.38826F
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='   Commentaire J:'! Effets des s'eismes
	nc=len_trim(buff)
	yp=yp-0.4
	call labelc(xp,yp,.3,0.,nc,buff)
	xm=xstring_length(.3,nc,buff)
	newfont='Helvetica-Fr'
	call fontchange(newfont)
	buff=20h Effets des s'eismes
	nc=len_trim(buff)
	call labelc(xp+xm,yp,.3,0.,nc,buff)
	newfont='Helvetica-Bold-Fr'
	call fontchange(newfont)
	buff=47hVoir aussi le site WEB "www.seismo.nrcan.gc.ca"
	nc=len_trim(buff)
	yp=yp-0.5
	call labelc(xp,yp,.3,0.,nc,buff)
	buff='Also available in english'
	nc=len_trim(buff)
	yp=yp-0.5
	xl=xstring_length(.3,nc,buff)
	call labelc(19.-xl,2.,.3,0.,nc,buff)
	call nrcanlogo
	call finishall
	write(6,'(/'' Output on '',a)')output
	return
	end

	subroutine hazardout_french_txt
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/info/engph,nceng,frph,ncfr,fax,ncfax,email,ncemail,web,ncweb
	common/comdatatime/date,time,zone,datetime(8)
	character (len=40) :: engph,frph,fax,email,web
	dimension tifsh(8,2),zn(6),zr(7)
	character (len=60) :: rname,sname,pname
	character (len=100) :: output,fmt
	character (len=28) :: xchar
	character (len=8) :: date
	character (len=10) :: time
	character (len=5) :: zone
	integer datetime
	data zn/.04,.08,.11,.16,.23,.32/
	data zr/.0,.05,.1,.15,.2,.3,.4/
	data xchar/28h@#$%^()-+|~=`/?.>,<;:'"[{]}*/
	do I=1,8
		do J=1,2
			tifsh(i,j)=tifs(i,j)/100.
		enddo
	enddo
	A=tifsh(3,1)
	V=tifsh(3,2)
	izna=0
	iznv=0
	do I=1,6
		znn=zn(I)
		if(A.ge.znn)izna=I
		if(V.ge.znn)iznv=I
	enddo
	ZA=zr(izna+1)
	ZV=zr(iznv+1)
	if(iznv.eq.0.and.izna.gt.0)then
		ZV=0.05
	endif
	nc=len_trim(sname)
	j=0
	do 1 i=1,nc
		do k=1,28
			if(sname(i:i).eq.xchar(k:k))go to 1
		enddo
		j=j+1
		pname(j:j)=sname(i:i)
		if(pname(j:j).eq.' ')pname(j:j)='_'
1	continue
	output='hazard_for_'//pname(1:j)//'_fr.txt'
4	open(3,file=output,status='new',err=2)
	go to 3
2	open(3,file=output,status='old',err=3)
	close(3,status='delete',err=3)
	go to 4
3	write(3,'('' ______________________________________________________________________________'')')
	write(3,'(''|'',t80,''|'')')
	write(3,30)
30	format(1h|,t28,23hCALCUL D'ALEA SEISMIQUE,t80,1h|)
	write(3,'(''|'',t6,''Geological'',t65,''Commission'',t80,''|'')')
	write(3,'(''|'',t8,''Survey'',t65,''geologique'',t80,''|'')')
	write(3,'(''|'',t10,''of'',t69,''du'',t80,''|'')')
	write(3,'(''|'',t8,''Canada'',t67,''Canada'',t80,''|'')')
	write(3,'(''|'',t80,''|'')')
	write(3,'(''|'',t6,''INFORMATION...'',a,'' [English]  '',a,'' [francais]'',t80,''|'')')engph(1:nceng),frph(1:ncfr)
	write(3,'(''|'',t80,''|'')')
	write(3,'(''|'',t3,''FAX:'',a,'' EMAIL: '',a,''  WEB:'',a,t80,''|'')')fax(1:ncfax),email(1:ncemail),web(1:ncweb)
	write(3,'(''|______________________________________________________________________________|'')')
	nc=len_trim(rname)
	write(fmt,7)40-nc/2
7	format(21h(//t3,'Demande par',t,i2.2,29h,a,t67,i2,'','/',i2.2,'/',i4))
	write(3,fmt)rname(1:nc),datetime(3),datetime(2),datetime(1)
	nc=len_trim(sname)
	write(fmt,8)40-nc/2
8	format(13h(/t3,'Site',t,i2.2,3h,a))
	write(3,fmt)sname(1:nc)
	write(3,'(/t3,''Situe a'',t28,f5.2, '' Nord  '',f6.2,'' Ouest'')')slat,slong
	write(3,'(/'' ______________________________________________________________________________ '')')
	write(3,'(''|'',t80,''|'')')
	write(3,'(''|'',t27,''Zonage du site ci-dessus'',t80,''|'')')
	write(3,'(''|'',t80,''|'')')
	write(3,31)izna,za
31	format(1h|,t3,19hZone d'acceleration,10h     Za = ,i1,t47,24hAcceleration zonale     ,f4.2,2h g,t80,1h|)
	write(3,'(''|'',t80,''|'')')
	write(3,'(''|'',t3,''Zone de vitesse         Zv = '',i1,t47,''Vitesse zonale          '',f4.2,'' m/s'',t80,''|'')')iznv,zv
	write(3,'(''|______________________________________________________________________________|'')')
	write(3,'(/)')
	write(3,'(t1,'' ______________________________________________________________________________'')')
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t10,''Mouvements du sol pour une selection de niveaux de probabilite'',t80,''|'')')
	write(3,'(t1,''|'',t30,''pour le site ci-dessus'',t80,''|'')')
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t3,''Probabilite de depassement par annee         0.010    0.005    0.0021   0.001'',t80,''|'')')
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t3,''Probabilite de depassement en 50 ans          40%      22%      10%       5%'',t80,''|'')')
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t3,''Acceleration horizontale maximale du sol (g)'',f6.3,f9.3,f9.3,f9.3,t80,''|'')')(tifsh(i,1),i=1,4)
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t3,''Vitesse horizontale maximale du sol (m/s)   '',f6.3,f9.3,f9.3,f9.3,t80,''|'')')(tifsh(i,2),i=1,4)
	write(3,'(t1,''|______________________________________________________________________________|'')')
	write(3,'(/)')
	write(3,'(t1,'' ______________________________________________________________________________'')')
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t28,''1995 CNBC zonage seismique'',t80,''|'')')
	write(3,'(t1,''|'',t22,''niveau de probabilite: 10% en 50 ans'',t80,''|'')')
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t3,''g ou m/s       0.00    0.04    0.08    0.11    0.16    0.23    0.32'',t80,''|'')')
	write(3,'(t1,''|'',t3,''ZONE                0       1       2       3       4       5       6*'',t80,''|'')')
	write(3,'(t1,''|'',t3,''valeur zonale      0.00    0.05    0.10    0.15    0.20    0.30    0.40'',t80,''|'')')
	write(3,'(t1,''|'',t80,''|'')')
	write(3,'(t1,''|'',t3,''* zone 6:  valeur nominale  0.40;'',t80,''|'')')
	write(3,32)
32	format(t1,1h|,t14,62hetudes complementaires suggerees pour des projets d'importance,t80,1h|)
	write(3,'(t1,''|______________________________________________________________________________|'')')
	write(3,'(/''REFERENCES'')')
	write(3,'(''Code National du Batiment - Canada 1995,'')')
	write(3,'('' CNRC no 38726F; section 4.1.9.1 phrase 5 et'')')
	write(3,'('' Annexe C: Donnees climatiques pour le calcul des batiments au Canada'')')
	write(3,6)
6	format(/34hGuide de l'utilisateur - CNB 1995,)
	write(3,'('' Commentaires sur le calcul des structures (Partie 4) CNRC no.38826F'')')
	write(3,'('' Commentaire J: Effets des seismes'')')
	write(3,'(/47hVoir aussi le site WEB "www.seismo.nrcan.gc.ca")')
	write(3,'(/t51,''Also available in english'')')
	write(3,'(/''Natural Resources Canada'',t51,''Ressources naturelles Canada'')')
	write(6,'(/'' Output on '',a)')output
	close(3)
	return
	end




	subroutine areas(X1,Y1,X2,Y2,X3,Y3,X4,Y4,AREA)
!	 subroutine TO CALCULATE AREA OF ARBITRARY QUADRILATERAL,
!	 WHERE (X1,Y1) AND X4,Y4) ARE OPPOSITE CORNERS.
!	    LOCATE INTERSECTIONS OF DIAGONALS:
	IF (X4-X1-0.001) 20,30,30
20	IF (X4-X1+0.001) 30,30,25
25	XX=X1
	A2=(Y3-Y2)/(X3-X2)
	YY=(XX-X3)*A2 +Y3
	DIST1=Y4-Y1
	IF (DIST1) 26,27,27
26	DIST1=-DIST1
27	DIST2=SQRT((X3-X2)*(X3-X2) + (Y3-Y2)*(Y3-Y2))
	go to 100
30	IF (X3-X2-0.001) 50,70,70
50	IF (X3-X2+0.001) 70,70,65
65	XX=X3
	A1=(Y4-Y1)/(X4-X1)
	YY=(XX-X4)*A1+Y4
	DIST2=Y3-Y2
	IF (DIST2) 66,67,67
66	DIST2=-DIST2
67	DIST1=SQRT((X4-X1)*(X4-X1) + (Y4-Y1)*(Y4-Y1))
	go to 100
70	A1=(Y4-Y1)/(X4-X1)
	A2=(Y3-Y2)/(X3-X2)
	XX=(Y2-Y1+A1*X1-A2*X2)/(A1-A2)
	YY=A1*(XX-X1) + Y1
	DIST1=SQRT((X4-X1)*(X4-X1) + (Y4-Y1)*(Y4-Y1))
	DIST2=SQRT((X3-X2)*(X3-X2) + (Y3-Y2)*(Y3-Y2))
!	     CALCULATE LENGTH OF SIDES OF SUB-TRIANGLE
100	SIDE1=SQRT((XX-X1)*(XX-X1) + (YY-Y1)*(YY-Y1))
	SIDE2=SQRT((XX-X2)*(XX-X2) + (YY-Y2)*(YY-Y2))
	SIDE3=SQRT((X1-X2)*(X1-X2) + (Y1-Y2)*(Y1-Y2))
!	     SOLUTION ACCORDING TO C.R.C. HANDBOOK UNDER
!	          'MENSURATION FORMULAE' AND 'TRIGONOMETRIC FORMULAE'
	SS=(SIDE1+SIDE2+SIDE3)/2.
	SINANG=2.*SQRT(SS*(SS-SIDE1)*(SS-SIDE2)*(SS-SIDE3))/(SIDE1*SIDE2)
	AREA=0.5*DIST1*DIST2*SINANG
	return
	END
	subroutine BETWEN(X1,Y1,X2,Y2,XP,YP,INDIC,IANS)
!	    subroutine TO DETERMINE IF (XP,YP) LIES BETWEEN
!	       (X1,Y1) AND (X2,Y2).
	if(INDIC.LT.1.or.INDIC.gt.2) go to 300
	if(INDIC.eq.2) go to 200
	IF (X1-XP) 110,410,120
110	IF (X2-XP) 420,420,410
120	IF (X2-XP) 410,420,420
200	IF (Y1-YP) 210,410,220
210	IF (Y2-YP) 420,420,410
220	IF (Y2-YP) 410,420,420
!	   ERROR return
300	IANS=0
	go to 500
!	   (XP,YP) LIES BETWEEN END POINTS, I.E. ON SOURCE BOUNDARY
410	IANS=1
	go to 500
!	   (XP,YP) DOESN'T LIE BETWEEN END POINTS, I.E. IT'S OUTSIDE SOURC
420	IANS=-1
500	return
	end
	subroutine CIRCLE(RC,INGS,FRAREA,RSK)
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common INDIC(4),AREA(23,21)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	dimension RSK(12)
!	    subroutine TO CALCULATE RISK FROM A CIRCULAR
!	    SOURCE WITH CENTER AR SITE, RADIUS RC.
	NRC=RC
!	    CHOOSE STEP SIZE:
!	         STEP SIZE = NSTEPI ULESS RESULTING STEP SIZE IS
!	         LESS THAN ONE KILOMETRE, IN WHICH CASE RC+1
!	         STEPS ARE USED.
	IF (NRC-NSTEPI) 10,12,12
10	NSTEPX=NRC+1
	go to 14
12	NSTEPX=NSTEPI
14	ANSTEP=NSTEPX
	do II=1,NSTEPX
		AI=II
		R=((AI-0.5)*RC)/ANSTEP
		ANAREA=6.2831853072 *R*RC/ANSTEP
		RATEI=RATE(INGS)*ANAREA*FRAREA
		do JJ=1,nlei
			call RISK1(ti(JJ),R,INGS,RISK)
			RSK(JJ)=RSK(JJ)+RISK*RATEI
		enddo
	enddo
	return
	end
	subroutine COMBINI
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common/debg/sxnot,synot,errbnd,nstepmx,lerr,rz2,lerr2,risker
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/SRSKC/SRSK(12,4)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	dimension tif(8)
	character (len=60) :: rname,sname
	logical lerr,lerr2
	do J=1,2
		do I=1,nlei
			RSKTI(I)=SRSK(i,j)+SRSK(i,j+2)
		enddo
		do I=1,nlei
			RSKTI(I)=1.-EXP(-RSKTI(I))
		enddo
!	    ESTIMATE INTENSITIES AT RISKS DESIRED.
		risks(9)=0.0
		IA=0
		if(risks(1)-0.0000000001) 700,700,625
625		do 630 IRK=1,8
			IF (risks(IRK)-RSKTI(1)) 640,640,630
630		tif(IRK)=1000000.
		go to 700
640		IA=IA+1
		IF (IA-nlei) 650,645,645
645		tif(IRK)=1000000.
		IRK=IRK+1
		if(risks(IRK)-0.0000000001)680,680,645
650		if(risks(IRK)-RSKTI(IA+1))640,655,655
655		tif(IRK)=(ALOG(RSKTI(IA)/risks(IRK)))/(ALOG(RSKTI(IA)/RSKTI(IA+1)))
		tif(IRK)=ti(IA)+tif(IRK)*(ti(IA+1)-ti(IA))
		IRK=IRK+1
		IF (risks(IRK)-0.0000000001)680,680,660
660		if(risks(IRK)-RSKTI(IA+1)) 640,655,655
680		IRK=IRK-1
		do 685 I=1,IRK
			if(tif(I)-999999.)683,685,685
683		tif(I)=EXP(tif(I))
685		continue
		do I=1,IRK
			tifs(i,j)=tif(I)
		enddo
700		continue
	enddo
	return
	end
	subroutine erisk(AMZ,AMM,C1,C2,C3,RLN,SIG,BETA,TIC,G1,G2,G3,G4,CON1,CON2,CON3)
!	    EVALUATE RISK ASSOCIATED WITH EXPONENTIAL MAGNITUDE LAW
!	        FOR MAGNITUDES BETWEEN AMZ AND AMM.
	Z=(TIC-C1-C2*AMM-C3*RLN)/SIG
	call NDTR(Z,G1,D)
	Z=Z-BETA*SIG/C2
	call NDTR(Z,G3,D)
	Z=(TIC-C1-C2*AMZ-C3*RLN)/SIG
	call NDTR(Z,G2,D)
	Z=Z-BETA*SIG/C2
	call NDTR(Z,G4,D)
	IF (C2-0.001) 10,10,20
10	CON1=100000000.
	CON3=CON1
	go to 30
20	CON1=((BETA*BETA*SIG*SIG)/(2.*C2*C2))+(BETA*AMZ)+((C1-TIC)*BETA/C2)
	CON3=CON1+BETA*(AMM-AMZ)
	CON1=EXP(CON1)
	CON3=EXP(CON3)
30	CON2=BETA*C3/C2
	R=EXP(RLN)
	CON2=R**CON2
	return
	end
	subroutine inlccm(SLONG)
!	SLONG CAN.CENTRAL LONGITUDE
	common/CTAS/SCALEK,CONE,TLONG,RO,RADCON
	data RAD,E,E2,A,ED2/0.01745329252,12.15482511000,0.00676865800218,637820640.1,0.041135927122/
	data TSPAR,TNPAR,TLAT,TSCALE/ 49. ,77.,  63.,  1E5/
!	PARAMS 1,2 +3 ARE STANDARD LATS. LONGS. FOR CAN. PROJECTION
!	1E5 IS TO CONVERT FROM AN EASTING(X) AND NORTHING(Y) TO KM.
!	REGCLN REMAINS ONLY INIT-PARAM. FIXING CENTRAL MERIDIAN, I.E. VERT
!	IN PLOTTING ROUTINE, WHERE X=0
!	INITILIZATION OF LAMBERT CONFORMAL CONIC PROJECTION
	P=TSPAR*RAD
	SP=SIN(P)
	ANSSPS=COS(P)/(1.+SP)*((E+SP)/(E-SP))**ED2
	P=TNPAR*RAD
	SP=SIN(P)
	ANSSPN=COS(P)/(1.+SP)*((E+SP)/(E-SP))**ED2
	SPS=TSPAR*RAD
	SPN=TNPAR*RAD
	TLONG=SLONG
	SS=SIN(SPS)
	QN1=SQRT(1.-SS*SS*E2)
	SS=SIN(SPN)
	QN2=SQRT(1.-SS*SS*E2)
	CONEN=ALOG(COS(SPS)*QN2/(COS(SPN)*QN1))
	CONE=CONEN/ALOG(ANSSPS/ANSSPN)
	RADCON=RAD*CONE
	SCALEK=A*COS(SPS)/(CONE*ANSSPS**CONE*TSCALE*QN1)
	P=TLAT*RAD
	SP=SIN(P)
	RO=SCALEK*(COS(P)/(1.+SP)*((E+SP)/(E-SP))**ED2)**CONE
	return
	end
	subroutine NDTR(X,P,D)
!	    X  IS NO. OF STANDARDIZED NORMAL DEVIATES.
!	    P  IS COMP. CUMULATIVE VALUE (OUTPUT).
!	    D  IS DENSITY VALUE (OUTPUT)
	IF (X) 1,2,2
1	AX=-X
	go to 3
2	AX=X
3	IF (AX-6.0) 5,4,4
4	P=1.
	D=0.
	go to 6
5	T=1./(1.0+.2316419*AX)
	D=0.3989423*EXP(-X*X/2.0)
	P=1.0-D*T*((((1.330274*T-1.821256)*T+1.781478)*T-0.3565638)*T + 0.3193815)
6	IF (X) 8,7,7
7	P=1.0-P
8	return
	end
	subroutine nwnerk
!	INTERACTIVE VERSION FOR RISK CALCULATIONS IN THE NWNE REGION
!	DISC FILE INPUT OF ZONE data ON TAPE2
!	FOR A GIVEN LOCATION, WITH ROUTINE COMBINI, TO ADD RISKS FROM
!	SOURCES USING WESTERN ATTENUATIONS WITH RISKS FROM SOURCES USING
!	EASTERN ATTENUATIONS
!	DH WEICHERT MODIFIED FOR LAT. LONG. INPUT AND CONVERSION TO EASTIN
!	AND NORTHINGS(Y) IN KM.  THIS USE OF X + Y AGREES WITH MCGUIRES'S
!	MODIFIED BY FMA TO RUN VELOCITY AND ACCERATION data TOGETHER
!	   R K MCGUIRE   U.S.G.S. JANUARY 1975
!	  PLANAR VERSION (CARTESIAN COORDINATES)
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common/debg/sxnot,synot,errbnd,nstepmx,lerr,rz2,lerr2,risker
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/lerrs/includ,incld2,lnei,lrisks,rkrato
	common/SRSKC/SRSK(12,4)
        COMMON/dummy/NAME,names
	dimension BRISK(12)
	character (len=80) :: cbuf
	character (len=60) :: rname,sname
        CHARACTER (LEN=10) :: NAME,names
	logical lerr,includ,lerr2,incld2,lrisks
	rewind nrd
WRITE(6,*)' nwnerk'
	nrgs=nrg-1
	do 30 I=1,nrgs
31	read(nrd,'(A80)')cbuf
	if(cbuf(1:3).eq.'***')go to 30
	go to 31
30	continue
	do 14 JW =1,2
	if(JW.eq.1)go to 1
2	read(nrd,'(A80)')cbuf
	if(cbuf(1:3).eq.'***')go to 1
	go to 2
1	read(nrd,'(24I3)')NGS,(NRS(I),I=1,NGS)
	NGS1=NGS+1
	do 110 I=1,NGS1
110	read(nrd,'(F5.0,I5,6F10.2,A10)')RZ2S(I),LORS(I),COEF(I),AM0(I),AM1(I),BETA(I),RATE(I),FDEPTH(I),NAME
	do 200 II=1,NGS
	NRSII=NRS(II)+1
	do 150 JJ=1,NRSII
	read(nrd,'(4F10.2,A10)')X(Ii,jJ,1),Y(Ii,jJ,1),X(Ii,jJ,2),Y(Ii,jJ,2),NAMES
	call PRJC(X(Ii,jJ,1),Y(Ii,jJ,1))
	call PRJC(X(Ii,jJ,2),Y(Ii,jJ,2))
!	DH WEICHERT CHANGES TO EASTING(X) + NORTHING(Y) IN KM. USING LAMBE
!	CONFORMAL PROJECTION
150	continue
200	continue
!	   CALCULATE AREA OF EACH SUBSOURCE AND GROSS SOURCE.
	do 400 II=1,NGS
	NTOT=NRS(II)+1
	AREA(II,NTOT)=0.0
	NAZIZ = NRS(II)
	do 300 JJ=1,NAZIZ
	call areas(X(Ii,jJ,1),Y(Ii,jJ,1),X(Ii,jJ,2),Y(Ii,jJ,2),&
	X(Ii,jJ+1,1),Y(Ii,jJ+1,1),X(Ii,jJ+1,2),Y(Ii,jJ+1,2),AREA(Ii,jJ))
300	AREA(II,NTOT)=AREA(II,NTOT)+AREA(Ii,jJ)
400	continue
	do 424 J=1,2
	do 90 I=1,nlei
90	BRISK(I)=0.0
	NSTEPO=NSTEP
	NSTEPI=NSTEP
	C1=atten(1,J,JW )
	C2=atten(2,J,JW)
	C3=atten(3,J,JW)
	SIG=atten(4,J,JW)
	RZERO=atten(5,J,JW)
	RONE=atten(6,J,JW)
	AAA=atten(7,J,JW)
	BBB=atten(8,J,JW)
	JAV=J+2*(JW-1)
	IF (BBB+0.00001) 101,102,102
101	write (jn ,924)
924	format(//' INPUT ERROR:  THE VALUE OF BBB MUST BE POSITIVE,'/&
	' BETWEEN 0.0 AND THE VALUE OF C2. EXECUTION stopPED.')
	return
102	IF (C2-BBB) 101,103,103
!	    IF BBB=0.0, SET EQUAL TO A SMALL NUMBER
103	IF (BBB-0.00001) 104,105,105
104	BBB=0.0000000001
!	    COMPUTE BACKGROUND SEISMICITY
105	if(RATE(NGS1)-0.0000000001) 420,420,405
!	    RBACK IS RADIUS OUT TO WHICH RISK FROM
!	      BACKGROUND SEISMICITY IS CALCULATED.
405	RBACK=150.
!	   FOR BACKGROUND SEISMICITY, NSTEPI IS DOUBLED (AND
!	      THEN HALVED AFTER CALCULATIONS).
	NSTEPI=2*NSTEPI
	call CIRCLE(RBACK,NGS1,1.,BRISK)
	NSTEPI=NSTEPI/2
	do 410 I=1,nlei
410	BRISK(I)=COEF(NGS1)*BRISK(I)/10000.
420	XNOT=SLAT
	YNOT=-SLONG
	SXNOT=XNOT
	SYNOT=YNOT
	RISKER=0.
	Lerr=.false.
	lerr2=.false.
	do 450 I=1,nlei
450	RSKTI(I)=BRISK(I)
	call PRJC(XNOT,YNOT)
	do 600 II=1,NGS
	NAZIZ = NRS(II)
	RZ2=RZ2S(II)
	do 600 JJ=1,NAZIZ
	INGS=II
	INSS=JJ
	call RRISK(XNOT,YNOT,INGS,INSS,X(Ii,jJ,1),Y(Ii,jJ,1),X(Ii,jJ,2),&
	Y(Ii,jJ,2),X(Ii,jJ+1,1),Y(Ii,jJ+1,1),X(Ii,jJ+1,2),Y(Ii,jJ+1,2))
600	continue
	if(.not.lerr2.or.incld2) go to 11
	write(jn ,10)
10	format(/' ERROR IN subroutine INSIDE OR OUTSID'/)
	return
11	if(.not.lerr.or.includ) go to 12
	GDRISK=RSKTI(nlei-2)-RISKER
	if(GDRISK.le.0.) go to 13
	RISKRR=RISKER/GDRISK
	if(RISKRR.LT.rkrato) go to 12
13	write(jn ,15)      errbnd,RISKRR,rkrato
15	format(/' ERROR IN AREA CALCULATION GREATER THAN ',F6.1,' &'/&
	' AND RATIO OF ERROR RISK CALC TO NON ERROR RISK CALC=',F6.2/&
	' GREATER THAN ',F5.2/)
	return
12	do 610 I=1,nlei
610	SRSK(i,jAV)=RSKTI(I)
424	continue
14	continue
	call COMBINI
	return
	end
	subroutine OUTSID(XNOT,YNOT,INGS,INSS,XL,YL,XR,YR,AA,BB)
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common INDIC(4),AREA(23,21)
	common/debg/sxnot,synot,errbnd,nstepmx,lerr,rz2,lerr2,risker
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	dimension XL(4),YL(4),XR(4),YR(4),AA(4),BB(4),XC(4),YC(4)
	dimension RSK(12)
	logical lerr,lerr2
	NSTEPOS=NSTEPO
!	    subroutine FOR CALCULATING RISK WHEN SITE IS OUTSIDE
!	     (QUADRILATERAL) SOURCE AREA.
!	     DEFINE DISTANCE VALUES TO SELECT STEP SIZE.
!	     (RC IS closeST DISTANCE BETWEEN SITE AND SOURCE.)
!	     RC BETWEEN 0.0 AND RZ1 INPLIES STEP SIZE = NSTEPO.
!	     RC BETWEEN RZ1 AND RZ2 IMPLIES STEP SIZE = NSTEPO/2.
!	     RC BETWEEN RZ2 AND RZ3 IMPLIES LUMP RISK
!	           AT CENTER OF SOURCE (DEFINED BY AVERAGING LOCATIONS
!	           OF CORNER POINTS).
!	     RC GREATER THAN RZ3 IMPLIES IGNORE SOURCE.
	RZ1=100.
	RZ3=3000.
!	     TO BY-PASS THIS ALGORITHM, SET RZ1 TO A LARGE NUMBER.
!	     TO PRODUCE 0-1 ALGORITHM (DISREGARD, OR CALCULATE USING
!	     NSTEPO), SET RZ1=RZ2=RZ3=DISTANCE WITHIN WHICH YOU
!	     WISH TO CONSIDER RISK.
!	 FIND closeST (IC,RC) AND FARTHEST (IFAR,RF) POINTS AND DISTANCES.
	RC2=10000000000.
	RF2=0.
	do 108 II=1,4
	DIST=(XNOT-XL(II))*(XNOT-XL(II))+(YNOT-YL(II))*(YNOT-YL(II))
	IF (RC2-DIST) 104,104,102
102	RC=SQRT(DIST)
	RC2=DIST
	IC=II
104	IF (DIST-RF2) 108,108,106
106	RF=SQRT(DIST)
	RF2=DIST
	IFAR=II
108	continue
	ICS=0
!	   SEE IF ANY SIDE LIES closeR THAN closeST POINT
	do 150 II=1,4
!	  IS SLOPE INFINITE?
	if(INDIC(II).eq.1) go to 130
	XS=XL(II)
	YS=YNOT
	go to 145
!	  IS SLOPE ZERO?
130	IF (AA(II)-0.001) 131,140,140
131	IF (AA(II)+0.001) 140,140,132
132	XS=XNOT
	YS=YL(II)
	go to 145
!	   SLOPE IS NOT ZERO, SO CALCULATE NEAREST POINT.
140	XS=(YNOT+(XNOT/AA(II))-BB(II))/(AA(II)+(1./AA(II)))
	YS=((XNOT-XS)/AA(II))+YNOT
145	call BETWEN(XL(II),YL(II),XR(II),YR(II),XS,YS,INDIC(II),IANS)
	IF (IANS) 150,146,148
146	NERROR=1
	go to 800
148	DIST=(XNOT-XS)*(XNOT-XS)+(YNOT-YS)*(YNOT-YS)
	IF (DIST-RC2) 149,150,150
149	RC2=DIST
	RC=SQRT(DIST)
	ICS=II
150	continue
3	APPROX=0.0
	do 290 II=1,nlei
290	RSK(II)=0.
!	    DETERMINE STEP SIZE FROM RZ1,RZ2, AND RZ3.
	IF (RC-RZ1) 308,308,292
292	IF (RC-RZ2) 294,294,296
294	NSTEPX=NSTEPO/2
	go to 310
296	IF (RC-RZ3) 298,298,850
!	     IF RC IS BETWEEN RZ2 AND RZ3, CALCULATE RISK
!	     ASSUMING SEISMICITY IS LUMPED AT CENTER (AVERAGE
!	     OF CORNER POINTS).
298	XAVE=(XL(1)+XL(2)+XL(3)+XL(4))/4.
	YAVE=(YL(1)+YL(2)+YL(3)+YL(4))/4.
	R=SQRT((XAVE-XNOT)*(XAVE-XNOT)+(YAVE-YNOT)*(YAVE-YNOT))
	NTOT=NRS(INGS)+1
	RATEI=RATE(INGS)*AREA(INGS,INSS)/AREA(INGS,NTOT)
	do 306 JJ=1,nlei
	call RISK1(ti(JJ),R,INGS,RISK)
	IF (RISK-0.0000000001) 600,600,305
305	RSK(JJ)=COEF(INGS)*RISK*RATEI
306	RSKTI(JJ)=RSKTI(JJ) + RSK(JJ)
	go to 600
308	NSTEPX=NSTEPO
310	AN=NSTEPX
	STSIZE=(RF-RC)/AN
!	   STEP THRU SOURCE AREA.
	do 500 ISTEP=1,NSTEPX
	AI=ISTEP
	R=RC+(AI-0.5)*STSIZE
	NPT=0
	ANGLE=0.
	SIGNAL=1.
!	   LOOP ON EACH SIDE
	do 400 II=1,4
	if(INDIC(II).eq.1) go to 330
!	     SIDE II IS A VERTICAL LINE
!	     DOES CIRCLE (RADIUS R) INTERSECT IT?
	A=XL(II)-XNOT
	IF (A) 322,322,323
322	IF (R+A) 400,400,324
323	IF (R-A) 400,400,324
!	     COMPUTE TWO INTERSECTION POINTS
324	X1=XL(II)
	B=SQRT(R*R-(X1-XNOT)*(X1-XNOT))
	Y1=YNOT+B
	X2=XL(II)
	Y2=YNOT-B
	go to 341
330	A=1.+AA(II)*AA(II)
	B=2.*(-XNOT+AA(II)*(BB(II)-YNOT))
	C=XNOT*XNOT+YNOT*YNOT+BB(II)*(BB(II)-2.*YNOT)-R*R
	D=B*B-4.*A*C
	IF (D) 400,400,340
!	   TWO INTERSECTIONS, CALCULATE FIRST INTERSECTION POINT.
340	D=SQRT(D)
	X1=(-B+D)/(2.*A)
	Y1=AA(II)*X1 + BB(II)
	X2=(-B-D)/(2.*A)
	Y2=AA(II)*X2+BB(II)
!	   SEE IF (X1,Y1) IS ON BOUNDARY
341	call BETWEN(XL(II),YL(II),XR(II),YR(II),X1,Y1,INDIC(II),IANS)
	IF (IANS) 360,342,345
342	NERROR=4
	go to 800
!	   CALCULATE OTHER POINT, SEE IF IS ON BOUNDARY.
345	call BETWEN(XL(II),YL(II),XR(II),YR(II),X2,Y2,INDIC(II),IANS)
	IF (IANS) 348,346,350
346	NERROR=5
	go to 800
!	   STORE FIRST POINT
348	NPT=NPT+1
	XC(NPT)=X1
	YC(NPT)=Y1
	go to 400
!	   SEE IF THIS SIDE IS closeST TO POINT, IF SO, TREAT SPECIALLY.
350	IF (II-ICS) 352,355,352
!	     BOTH POINTS ARE ON BOUNDARY, CALCULATE ANGLE BETWEN THEM.
352	SIGN=-1.
	go to 357
355	SIGN=1.
	SIGNAL=-1.
357	AD=SQRT((X1-X2)*(X1-X2)+(Y1-Y2)*(Y1-Y2))
	IF (AD-2.*R) 358,359,359
358	ANGLE=SIGN*2.*ASIN(AD/(2.*R)) + ANGLE
	go to 400
359	ANGLE=3.1415926536 +ANGLE
	go to 400
!	   SEE IF SECOND POINT ONLY IS ON BOUNDARY
360	call BETWEN(XL(II),YL(II),XR(II),YR(II),X2,Y2,INDIC(II),IANS)
	IF (IANS) 400,362,370
362	NERROR=6
	go to 800
370	NPT=NPT+1
	XC(NPT)=X2
	YC(NPT)=Y2
400	continue
	if(NPT.LT.1.or.NPT.gt.4) go to 404
	go to (410,420,410,440),NPT
404	if(SIGNAL)460,405,405
405	NERROR=7
	go to 800
410	NERROR=8
	go to 800
420	AD=SQRT((XC(1)-XC(2))*(XC(1)-XC(2))+(YC(1)-YC(2))*(YC(1)-YC(2)))
	if(AD.gt.abs(2.*R))AD=2.*abs(R)
	ANGLE=ANGLE + SIGNAL*2.*ASIN(AD/(2.*R))
	go to 460
!	     FOUR INTERSECTION POINTS (EACH ON A DIFFERENT SIDE).
!	     DETERMINE ANGLE BY FINDING closeST 2 INTERSECTIONS TO
!	     FARTHEST CORNER, CALCULATE ANGLE BETWEEN, AND ADD ANGLE
!	     BETWEEN OTHER TWO INTERSECTIONS.
440	DIST1=10000000000.
	I1=0
	I2=0
	I3=0
	I4=0
	do 450 JJ=1,4
	DIST=(XL(IFAR)-XC(JJ))*(XL(IFAR)-XC(JJ))+(YL(IFAR)-YC(JJ))*(YL(IFAR)-YC(JJ))
	IF (DIST-DIST1) 442,444,444
442	DIST2=DIST1
	DIST1=DIST
	I4=I3
	I3=I2
	I2=I1
	I1=JJ
	go to 450
444	IF (DIST-DIST2) 445,446,446
445	DIST2=DIST
	I4=I3
	I3=I2
	I2=JJ
	go to 450
446	I4=I3
	I3=JJ
450	continue
!	      CALCULATE ANGLE BETWEEN 2 closeST POINTS TO FARTHEST CORNER.
	AD=SQRT((XC(I1)-XC(I2))*(XC(I1)-XC(I2))+ (YC(I1)-YC(I2))*(YC(I1)-YC(I2)))
	if(AD.gt.abs(2.*R))AD=2.*abs(R)
	ANGLE=2.*ASIN(AD/(2.*R))
!	    CALCULATE ANGLE BETWEEN 2 POINTS FARTHEST FROM
!	    FARTHEST CORNER AND ADD TO PREVIOUS ANGLE.
	AD=SQRT((XC(I3)-XC(I4))*(XC(I3)-XC(I4))+(YC(I3)-YC(I4))*(YC(I3)-YC(I4)))
	if(AD.gt.abs(2.*R))AD=2.*abs(R)
	ANGLE=2.*ASIN(AD/(2.*R)) + ANGLE
460	continue
!	   ANGLE FOR THIS RADIUS NOW KNOWN, CALCULATE RISK.
!	   COMPUTE RATE OF EARTHQUAKES IN THIS ANNULAR SOURCE
	ANAREA=ANGLE*R*STSIZE
	APPROX=APPROX+ANAREA
	NTOT=NRS(INGS)+1
	RATEI=RATE(INGS)*ANAREA*AREA(INGS,INSS)/AREA(INGS,NTOT)
!	   CALCULATE CONTRIBUTION TO RISK
	do 480 JJ=1,nlei
	call RISK1(ti(JJ),R,INGS,RISK)
	IF (RISK-0.0000000001) 500,490,490
490	RSK(JJ)=RSK(JJ)+RISK*RATEI
480	continue
500	continue
	ARerr=((APPROX-AREA(INGS,INSS))/AREA(INGS,INSS))*100.
510	if(abs(ARERR).le.errbnd) go to 540
nerra=nerra+1
IF(nerra.gt.100)then
WRITE(6,'('' ERR more than 100 area errors'')')
WRITE(6,*)' APPROX=',APPROX,' AREA(INGS,INSS)=',AREA(INGS,INSS)
WRITE(6,*)' ARerr=',ARerr,' errbnd=',errbnd
STOP 'ERR area'
endif
	write(nwr,903) ARERR,INGS,INSS,SXNOT,SYNOT,NSTEPO
903	format(10X,'CAUTION: NUMERICAL INTEGRATION ERROR IN AREA IS ',&
	F8.2,' % FOR (OUTSIDE) SOURCE ',2I3,'  LAT',F6.2,'   LONG',F8.2,&
	' NSTEPO=',I3/' **CHECK YOUR SETUP OF THE SOURCE ZONE**'/)
	NSTEPO=NSTEPO*2
	if(NSTEPO.gt.nstepmx) go to 10
	go to 3
10	Lerr=.TRUE.
	RISKER=RISKER+COEF(INGS)*RSK(nlei-2)/APPROX
!	     NORMALIZE BY COMPUTED (APPROXIMATE) AREA
540	do 550 JJ=1,nlei
	RSK(JJ)=COEF(INGS)*RSK(JJ)/APPROX
550	RSKTI(JJ)=RSKTI(JJ)+RSK(JJ)
600	IF (JPRNT) 850,850,610
!	    PRINT RISKS FOR THIS SOURCE
610	write(nwr,902) INGS,INSS,(RSK(I),I=1,nlei)
902	format(' SOURCE',2I3,' E(NO/YR): ',12E9.3)
	go to 850
!	   ERROR PRINTOUT
800	write(nwr,901)NERROR,INGS,INSS,IC,NPT,XNOT,YNOT,&
	(XL(I),YL(I),I=1,4),R,ANGLE,RC,RF,(XC(I),YC(I),I=1,4)
901	format(' ***** ERROR',I4,' IN subroutine OUTSID. SOURCE NO.',2I3,&
	' DEBUG VALUES FOLLOW.....',/10X,2I5,5(/10X,4F14.6)&
	/' **CHECK YOUR SETUP OF THE SOURCE ZONE**'/)
	write(nwr,1)SXNOT,SYNOT,NSTEPO
1	format('  LAT',F6.2,'  LONG',F8.2,'  NSTEPO=',I3)
	NSTEPO=NSTEPO*2
	if(NSTEPO.le.nstepmx.and.NERROR.NE.1) go to 3
	lerr2=.TRUE.
850	NSTEPO=NSTEPOS
	return
	end
	subroutine INSIDE(XNOT,YNOT,INGS,INSS,XL,YL,XR,YR,AA,BB)
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common INDIC(4),AREA(23,21)
	common/debg/sxnot,synot,errbnd,nstepmx,lerr,rz2,lerr2,risker
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	dimension XL(4),YL(4),XR(4),YR(4),AA(4),BB(4),XC(4),YC(4)
	dimension RSK(10)
	logical lerr,lerr2
	NSTEPIS=NSTEPI
!	    subroutine FOR CALCULATING RISK WHEN SITE IS INSIDE
!	            SOURCE AREA.
!	      REFER TO DOCUMENTATION FOR ALGORITHM USED TO CHOOSE
!	            NUMBER OF INTEGRATION STEPS.
3	do 50 II=1,nlei
50	RSK(II)=0.
	APPROX=0.
	RC2=10000000000.
	RF2=0.
!	     FIND closeST SIDE AND FARTHEST POINT
	do 160 II=1,4
	if(INDIC(II).eq.1) go to 120
	XS=XL(II)
	YS=YNOT
	go to 140
!	     IS SLOPE ZERO?
120	IF (AA(II)-0.001) 121,125,125
121	IF (AA(II)+0.001) 125,125,122
122	XS=XNOT
	YS=YL(II)
	go to 140
!	   SLOPE NOT ZERO
125	XS=(YNOT+(XNOT/AA(II))-BB(II))/(AA(II)+1./AA(II))
	YS=((XNOT-XS)/AA(II))+YNOT
!	     CALCULATE SQUARE OF DISTANCE BETWEEN SITE AND closeST POINT.
140	DIST=(XNOT-XS)*(XNOT-XS)+(YNOT-YS)*(YNOT-YS)
	IF (DIST-RC2) 151,152,152
151	RC=SQRT(DIST)
	RC2=DIST
!	     CALCULATE DISTANCE BETWEEN SITE AND LEFT HAND POINT ON SIDE
152	DIST=(XNOT-XL(II))*(XNOT-XL(II))+(YNOT-YL(II))*(YNOT-YL(II))
	IF (RF2-DIST) 154,160,160
154	RF=SQRT(DIST)
	RF2=DIST
	IFAR=II
160	continue
!	     DETERMINE AZIMUTH OF FARTHEST POINT WITH RESPECT TO SITE
	AZIMF=ACOS((XL(IFAR)-XNOT)/RF)
	IF (YL(IFAR)-YNOT) 162,164,164
162	AZIMF=6.2831853072 - AZIMF
164	continue
!	 RC IS NOW DISTANCE FROM SITE TO closeST SIDE.
!	 RF IS NOW DISTANCE FROM SITE TO FARTHEST CORNER.
	IF (RC-0.01) 200,200,170
!	   call subroutine CIRCLE TO CALCULATE RISK FROM CIRCULAR
!	       SOURCE WITH RADIUS RC
170	NTOT=NRS(INGS)+1
	FRAREA=AREA(INGS,INSS)/AREA(INGS,NTOT)
	call CIRCLE(RC,INGS,FRAREA,RSK)
	APPROX=3.1415926536*RC*RC
!	  LOOP ON R TO CALCULATE RISK FROM RC TO RF
200	AN=NSTEPI
!	   PICK STEP SIZE BASED ON FRACTION OF AREA LEFT
	FRLEFT=(AREA(INGS,INSS)-APPROX)/AREA(INGS,INSS)
	NSTEPX=FRLEFT*AN + 1.
	AN=NSTEPX
	STSIZE=(RF-RC)/AN
	do 500 ISTEP=1,NSTEPX
	AI=ISTEP
	R=RC+(AI-0.5)*STSIZE
	NPT=0
	ANGLE=0.
!	    LOOP ON EACH SIDE
	do 400 II=1,4
	if(INDIC(II).eq.1) go to 330
!	    SIDE II IS VERTICAL, DOES CIRCLE (RADIUS R) INTERSECT IT?
	A=XL(II)-XNOT
	IF (A) 322,322,323
322	IF (R+A) 400,400,324
323	IF (R-A) 400,400,324
!	    COMPUTE 2 INTERSECTION POINTS
324	X1=XL(II)
	B=SQRT(R*R-(X1-XNOT)*(X1-XNOT))
	Y1=YNOT+B
	X2=XL(II)
	Y2=YNOT-B
	go to 341
330	A=1.+AA(II)*AA(II)
	B=2.*(-XNOT+AA(II)*(BB(II)-YNOT))
	C=XNOT*XNOT+YNOT*YNOT+BB(II)*(BB(II)-2.*YNOT)-R*R
	D=B*B-4.*A*C
	IF (D) 400,400,340
!	     THERE ARE 2 INTERSECTION, CALCULATE THEIR COORDINATES.
340	D=SQRT(D)
	X1=(-B+D)/(2.*A)
	Y1=AA(II)*X1+BB(II)
	X2=(-B-D)/(2.*A)
	Y2=AA(II)*X2+BB(II)
!	     SEE IF (X1,Y1) IS ON BOUNDARY
341	call BETWEN(XL(II),YL(II),XR(II),YR(II),X1,Y1,INDIC(II),IANS)
	IF (IANS) 350,342,345
342	NERROR=4
	go to 800
!	  IS SECOND POINT ALSO ON BOUNDARY?
345	call BETWEN(XL(II),YL(II),XR(II),YR(II),X2,Y2,INDIC(II),IANS)
	IF (IANS) 348,346,360
346	NERROR=5
	go to 800
!	    STORE FIRST POINT ONLY
348	NPT=NPT+1
	XC(NPT)=X1
	YC(NPT)=Y1
	go to 400
!	   SEE IF SECOND POINT ONLY IS ON BOUNDARY
350	call BETWEN(XL(II),YL(II),XR(II),YR(II),X2,Y2,INDIC(II),IANS)
	IF (IANS) 400,352,354
352	NERROR=6
	go to 800
354	NPT=NPT+1
	XC(NPT)=X2
	YC(NPT)=Y2
	go to 400
!	    TWO INTERSECTION POINTS ON ONE SIDE BOTH LIE ON BOUNDARY,
!	     CALCULATE ANGLE BETWEEN THEM.
360	continue
380	AD=SQRT((X1-X2)*(X1-X2)+(Y1-Y2)*(Y1-Y2))
	if(AD.gt.abs(2.*R))AD=2.*abs(R)
	ANGLE=2.*ASIN(AD/(2.*R))+ANGLE
400	continue
	IF (NPT) 402,404,408
402	NERROR=7
	go to 800
404	IF (ANGLE-0.001) 402,406,406
!	   FOLLOWING IS FOR CASE OF NO SINGLE INTERSECTION POINTS;
!	   ANGLE IS 2 * PI - ANGLE CALCULATED SO FAR.
406	PANGLE=6.2831853072-ANGLE
	go to 460
408	if(NPT.LT.1.or.NPT.gt.4) go to 409
	go to (402,410,402,440),NPT
409	NERROR=8
	go to 800
!	    2 INTERSECTION POINTS; DETERMINE AZIMUTHS.
410	IF (XC(1)-XNOT-R) 414,413,411
411	IF (XC(1)-XNOT-R-0.001) 413,413,412
412	NERROR=18
	go to 800
413	AZIM1=0.0
	go to 418
414	IF (XC(1)-XNOT+R) 415,416,417
415	IF (XC(1)-XNOT+R+0.001) 412,416,416
416	AZIM1=3.1415926536
	go to 420
417	AZIM1=ACOS((XC(1)-XNOT)/R)
418	IF (YC(1)-YNOT) 419,420,420
419	AZIM1=6.2831853072  - AZIM1
420	IF (XC(2)-XNOT-R) 424,423,421
421	IF (XC(2)-XNOT-R-0.001) 423,423,422
422	NERROR=19
	go to 800
423	AZIM2=0.0
	go to 428
424	IF (XC(2)-XNOT+R) 425,426,427
425	IF (XC(2)-XNOT+R+0.001) 422,426,426
426	AZIM2=3.1415926536
	go to 430
427	AZIM2=ACOS((XC(2)-XNOT)/R)
428	IF (YC(2)-YNOT) 429,430,430
429	AZIM2=6.2831853072 -AZIM2
430	PANGLE=AZIM2-AZIM1
	IF (PANGLE) 431,439,435
431	IF (AZIM1-AZIMF) 432,439,433
432	PANGLE=6.2831853072 +PANGLE -ANGLE
	go to 460
433	IF (AZIMF-AZIM2) 432,439,434
434	PANGLE=-PANGLE-ANGLE
	go to 460
435	IF (AZIM2-AZIMF) 436,439,437
436	PANGLE=6.2831853072 -PANGLE -ANGLE
	go to 460
437	IF (AZIMF-AZIM1) 436,439,438
438	PANGLE=PANGLE-ANGLE
	go to 460
439	NERROR=9
	go to 800
!	   FOUR INTERSECTION POINTS (EACH ON A DIFFERENT SIDE).
!	   DETERMINE ANGLE BY FINDING closeST 2 INTERSECTIONS TO
!	   FARTHEST CORNER, CALCULATE ANGLE BETWEN, AND ADD ANGLE
!	   BETWEEN OTHER TWO INTERSECTIONS.
440	DIST1=10000000000.
	I1=0
	I2=0
	I3=0
	I4=0
	do 450 JJ=1,4
	DIST=(XL(IFAR)-XC(JJ))*(XL(IFAR)-XC(JJ))+(YL(IFAR)-YC(JJ))*(YL(IFAR)-YC(JJ))
	IF (DIST-DIST1) 442,444,444
442	DIST2=DIST1
	DIST1=DIST
	I4=I3
	I3=I2
	I2=I1
	I1=JJ
	go to 450
444	IF (DIST-DIST2) 445,446,446
445	DIST2=DIST
	I4=I3
	I3=I2
	I2=JJ
	go to 450
446	I4=I3
	I3=JJ
450	continue
!	   CALCULATE ANGLE BETWEEN 2 CLOSEST POINTS TO FARTHEST CORNER
	AD=SQRT((XC(I1)-XC(I2))*(XC(I1)-XC(I2))+(YC(I1)-YC(I2))*(YC(I1)-YC(I2)))
	if(AD.gt.abs(2.*R))AD=2.*abs(R)
	PANGLE=2.*ASIN(AD/(2.*R))
!	    CALCULATE ANGLE BETWEEN 2 FARTHEST POINTS FROM
!	    FARTHEST CORNER AND ADD TO PREVIOUS ANGLE.
	AD=SQRT((XC(I3)-XC(I4))*(XC(I3)-XC(I4))+(YC(I3)-YC(I4))*(YC(I3)-YC(I4)))
	if(AD.gt.abs(2.*R))AD=2.*abs(R)
	PANGLE=2.*ASIN(AD/(2.*R))+PANGLE
!	  ANGLE FOR THIS RADIUS IS NOW KNOWN, CALCULATE RISK
460	continue
	ANAREA=PANGLE*R*STSIZE
	APPROX=APPROX+ANAREA
	NTOT=NRS(INGS)+1
	RATEI=RATE(INGS)*ANAREA*AREA(INGS,INSS)/AREA(INGS,NTOT)
!	  CALCULATE CONTRIBUTION TO RISK
	do 480 JJ=1,nlei
	call RISK1(ti(JJ),R,INGS,RISK)
	IF (RISK-0.0000000001) 500,490,490
490	RSK(JJ)=RSK(JJ) +RISK*RATEI
480	continue
500	continue
	arerr=((APPROX-AREA(INGS,INSS))/AREA(INGS,INSS))*100.
510	if(abs(ARERR).le.errbnd) go to 540
	write (nwr,903) ARERR,INGS,INSS,SXNOT,SYNOT,NSTEPI
903	format(10X,'CAUTION: NUMERICAL INTEGRATION ERROR IN AREA IS ',&
	F8.2,' % FOR (INSIDE) SOURCE ',2I3,'  LAT',F6.2,'  LONG',F8.2,&
	' NSTEPI=',I3/' **CHECK YOUR SETUP OF THE SOURCE ZONE**'/)
	NSTEPI=NSTEPI*2
	if(NSTEPI.gt.nstepmx) go to 10
	go to 3
10	Lerr=.TRUE.
	RISKER=RISKER+COEF(INGS)*RSK(nlei-2)/APPROX
540	do 550 JJ=1,nlei
	RSK(JJ)=COEF(INGS)*RSK(JJ)/APPROX
550	RSKTI(JJ)=RSKTI(JJ)+RSK(JJ)
	IF (JPRNT) 850,850,610
!	    PRINT RISKS FOR THIS SOURCE.
610	write(nwr,902) INGS,INSS,(RSK(I),I=1,nlei)
902	format(' SOURCE',2I3,' E(NO/YR): ',12E9.3)
	go to 850
!	     ERROR PRINTOUT
800	write (nwr,901) NERROR,INGS,INSS,IFAR,NPT,XNOT,YNOT,(XL(I),YL(I),&
	I=1,4),RC,RF,R,PANGLE,(XC(I),YC(I),I=1,4)
901	format (' ***** ERROR',I4,' IN subroutine INSIDE. SOURCE NO.',&
	2I3,' DEBUG VALUES FOLLOW......',/10X,2I10,10(/10X,2F12.6)&
	/' **CHECK YOUR DEFINITION OF THE SOURCE ZONE**'/)
	write(nwr,1)SXNOT,SYNOT,NSTEPI
1	format('  LAT',F6.2,'  LONG',F8.2,'  NSTEPI=',I3)
	NSTEPI=NSTEPI*2
	if(NSTEPI.le.nstepmx)go to 3
	lerr2=.TRUE.
850	NSTEPI=NSTEPIS
	return
	end
	subroutine srisk
!	INTERACTIVE VERSION FOR RISK CALCULATIONS AT SPECIFIC SITES
!	DISC FILE INPUT OF ZONE data ON TAPE2
!	PRINTED OUTPUT ON TAPE6
!	   MAINROUTINE
!	DH WEICHERT MODIFIED FOR LAT. LONG. INPUT AND CONVERSION TO EASTIN
!	AND NORTHINGS(Y) IN KM.  THIS USE OF X + Y AGREES WITH MCGUIRES'S
!	MODIFIED BY FMA TO RUN VELOCITY AND ACCERATION data TOGETHER
!	   R K MCGUIRE   U.S.G.S. JANUARY 1975
!	  PLANAR VERSION (CARTESIAN COORDINATES)
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common indic(4),area(23,21),x(23,21,2),y(23,21,2)
	common/debg/sxnot,synot,errbnd,nstepmx,lerr,rz2,lerr2,risker
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,slat,slong,in,jn,nrgl
	common/lerrs/includ,incld2,lnei,lrisks,rkrato
	common/errby/lbypass
        COMMON/dummy/NAME,names
	dimension BRISK(12),tif(8)
	character (len=60) :: rname,sname
	character (len=80) :: cbuf
	character (len=90) :: buff
        CHARACTER (LEN=10) :: NAME,names
	logical lerr,includ,lerr2,incld2,lrisks,lbypass
	if(nrg.eq.nrgl)go to 1
	nrgl=nrg
	rewind nrd
!	SKIP TO APPROPRIATE FILE
	if(nrg.le.1) go to 712
	nrgs=nrg-1
	do 710 I=1,nrgs
711	read(nrd,'(A80)')cbuf
	if(cbuf(1:3).eq.'***')go to 710
	go to 711
710	continue
712	read(nrd,'(a)')buff
	read(buff(1:LEN_TRIM(buff)),'(24I3)')NGS,(NRS(I),I=1,NGS)
!712	read(nrd,'(24I3)')NGS,(NRS(I),I=1,NGS)
	if(NGS.gt.23)then
		write(jn,*)' NGS=',NGS,' TOO MANY SOURCE ZONES  SHOULD BE LE 23'
		write(jn,*)' CHECK SOURCE ZONE FILE'
		stop
	endif
	NGS1=NGS+1
	do I=1,NGS1
		READ(nrd,'(a)')buff
!110	read(nrd,'(F5.0,I5,6F10.2,A10)')RZ2S(I),LORS(I),COEF(I),AM0(I),AM1(I),BETA(I),RATE(I),FDEPTH(I),NAME
		read(buff(1:LEN_TRIM(buff)),'(F5.0,I5,6F10.2,A10)')&
                &RZ2S(I),LORS(I),COEF(I),AM0(I),AM1(I),BETA(I),RATE(I),FDEPTH(I),NAME
	enddo
        do II=1,NGS
		NRSII=NRS(II)+1
       		if(NRSII.gt.21)then
			write(jn,*)' FOR GROSS SOURCE ',II,' NUMBER OF SUBSOURCES=',NRS(II)
			write(jn,*)' WHICH SHOULD BE LE 20'
			write(jn,*)' CHECK SOURCE ZONE FILE'
			STOP 'ERR NRSII.gt.21'
		endif
		do JJ=1,NRSII
			read(nrd,'(a)')buff
			read(buff(1:LEN_TRIM(buff)),'(4F10.2,A10)')&
                        &X(II,JJ,1),Y(II,JJ,1),X(II,JJ,2),Y(II,JJ,2),NAMES
!	read(nrd,'(4F10.2,2A10)')X(Ii,jJ,1),Y(Ii,jJ,1),X(Ii,jJ,2),Y(Ii,jJ,2),NAMES
			call PRJC(X(II,JJ,1),Y(II,JJ,1))
			call PRJC(X(II,JJ,2),Y(II,JJ,2))
!	DH WEICHERT CHANGES TO EASTING(X) + NORTHING(Y) IN KM. USING LAMBE
!	CONFORMAL PROJECTION
        	enddo
        enddo
!	   CALCULATE AREA OF EACH SUBSOURCE AND GROSS SOURCE.
	do II=1,NGS
		NTOT=NRS(II)+1
		AREA(II,NTOT)=0.0
		NAZIZ = NRS(II)
		do JJ=1,NAZIZ
			call areas(X(II,JJ,1),Y(II,JJ,1),X(II,JJ,2),Y(II,JJ,2),&
			X(II,JJ+1,1),Y(II,JJ+1,1),X(II,JJ+1,2),Y(II,JJ+1,2),AREA(II,JJ))
			AREA(II,NTOT)=AREA(II,NTOT)+AREA(II,JJ)
                enddo
        enddo
1	do J=1,2
		NSTEPO=NSTEP
		NSTEPI=NSTEP
		do I=1,nlei
			BRISK(I)=0.0
                ENDDO
		C1=atten(1,J,JEW)
		C2=atten(2,J,JEW)
		C3=atten(3,J,JEW)
		SIG=atten(4,J,JEW)
		RZERO=atten(5,J,JEW)
		RONE=atten(6,J,JEW)
		AAA=atten(7,J,JEW)
		BBB=atten(8,J,JEW)
		IF (BBB+0.00001) 101,102,102
101		write (jn ,924)
924		format(//' INPUT ERROR:  THE VALUE OF BBB MUST BE POSITIVE,'/&
		&' BETWEEN 0.0 AND THE VALUE OF C2. EXECUTION stopPED.')
		if(.not.LBYPASS)return
102		IF (C2-BBB) 101,103,103
!	    	IF BBB=0.0, SET EQUAL TO A SMALL NUMBER
103		IF (BBB-0.00001) 104,105,105
104		BBB=0.0000000001
105		continue
!	    	COMPUTE BACKGROUND SEISMICITY
		if(RATE(NGS1)-0.0000000001) 420,420,405
!	    	RBACK IS RADIUS OUT TO WHICH RISK FROM
!	      	BACKGROUND SEISMICITY IS CALCULATED.
405		RBACK=150.
!	   	FOR BACKGROUND SEISMICITY, NSTEPI IS DOUBLED (AND
!	      	THEN HALVED AFTER CALCULATIONS).
		NSTEPI=2*NSTEPI
		call CIRCLE(RBACK,NGS1,1.,BRISK)
		NSTEPI=NSTEPI/2
		do I=1,nlei
			BRISK(I)=COEF(NGS1)*BRISK(I)/10000.
                ENDDO
420		YNOT=-SLONG
		XNOT=SLAT
		SXNOT=XNOT
		SYNOT=YNOT
		RISKER=0.
		Lerr=.false.
		lerr2=.false.
		do I=1,nlei
			RSKTI(I)=BRISK(I)
                ENDDO
		call PRJC(XNOT,YNOT)
		do II=1,NGS
			NAZIZ = NRS(II)
			RZ2=RZ2S(II)
			do JJ=1,NAZIZ
				INGS=II
				INSS=JJ
				call RRISK(XNOT,YNOT,INGS,INSS,X(Ii,jJ,1),Y(Ii,jJ,1),X(Ii,jJ,2),&
				&Y(Ii,jJ,2),X(Ii,jJ+1,1),Y(Ii,jJ+1,1),X(Ii,jJ+1,2),Y(Ii,jJ+1,2))
                        ENDDO
                ENDDO
		if(.not.lerr2.or.incld2) go to 11
		write(jn ,'(/'' ERROR IN subroutine INSIDE OR OUTSID''/)')
		if(.not.LBYPASS)return
11		if(.not.lerr.or.includ) go to 12
		GDRISK=RSKTI(nlei-2)-RISKER
		if(GDRISK.le.0.) go to 13
		RISKRR=RISKER/GDRISK
		if(RISKRR.LT.rkrato) go to 12
13		write(jn ,15)errbnd,RISKRR,rkrato,nlei,RSKTI(nlei-2),RISKER
		write(nwr,15)errbnd,RISKRR,rkrato,nlei,RSKTI(nlei-2),RISKER
15		format(/' ERROR IN AREA CALCULATION GREATER THAN ',F6.1,' &'/&
		&' AND RATIO OF ERROR RISK CALC TO NON ERROR RISK CALC=',F6.2,/&
		&' GREATER THAN ',F5.2,/' nlei=',I4,' RSKTI(nlei-2)=',E15.4,&
		&' RISKER=',E15.4,/' **CHECK YOUR SETUP OF THE SOURCE ZONES**'/)
		if(.not.LBYPASS)return
12		continue
		do I=1,nlei
			RSKTI(I)=1.-EXP(-RSKTI(I))
                ENDDO
!	    	ESTIMATE INTENSITIES AT RISKS DESIRED.
		risks(9)=0.0
		IA=0
		if(risks(1)-0.0000000001) 700,700,625
625		do IRK=1,8
			IF (risks(IRK)-RSKTI(1)) 640,640,630
630			tif(IRK)=1000000.
                ENDDO
		go to 700
640		IA=IA+1
		IF (IA-nlei) 650,645,645
645		tif(IRK)=1000000.
		IRK=IRK+1
		IF (risks(IRK)-0.0000000001)680,680,645
650		if(risks(IRK)-RSKTI(IA+1))640,655,655
655    		continue
		tif(IRK)=(ALOG(RSKTI(IA)/risks(IRK)))/(ALOG(RSKTI(IA)/RSKTI(IA+1)))
		tif(IRK)=ti(IA)+tif(IRK)*(ti(IA+1)-ti(IA))
		IRK=IRK+1
		IF (risks(IRK)-0.0000000001)680,680,660
660		if(risks(IRK)-RSKTI(IA+1)) 640,655,655
680		IRK=IRK-1
		do 685 I=1,IRK
			IF (tif(I)-999999.)683,685,685
683			tif(I)=EXP(tif(I))
685		continue
700		do I=1,IRK
			tifs(i,j)=tif(I)
                ENDDO
        ENDDO
	return
	end
	subroutine PRJC(RLAT1,RLONG1)
	common/CTAS/SCALEK,CONE,TLONG,RO,RADCON
	data RAD,E,ED2/0.01745329252,12.15482511000,0.041135927122/
	if(RLAT1.ge.90.) go to 2
	P=RLAT1*RAD
	SP=SIN(P)
	RI=SCALEK*(COS(P)/(1.+SP)*((E+SP)/(E-SP))**ED2)**CONE
	QI=(TLONG-RLONG1)*RADCON
	RLAT1=-RI*SIN(QI)
	RLONG1=RO-RI*COS(QI)
!	NOTE THE TRANSPOSED INTERPRETATION OF THE ARGUMENT SEQUENCE.
!	THE FIRST ARG, LAT. IS NOW X,  SECOND Y
	return
2	RLAT1=1.E8
	return
	end
	subroutine RISK1(TIC,REPIS,INGS,RISK)
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common INDIC(4),AREA(23,21)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
!	     subroutine TO CALCULATE RISK WHEN THE FOLLOWING SPECIAL
!	     FORM OF ATTENUATION FUNCTION IS USED:
!	          I = C1 + C2*M + C3*ALOG(R+RZERO)
	SIGG=SIG
	RFOC=SQRT(REPIS*REPIS + FDEPTH(INGS)*FDEPTH(INGS))
	IF (RFOC-RONE) 10,10,20
10	R=RONE
!	    IF DIFFERENT STANDARD DEVIATION INSIDE RADIUS RONE IS
!	    DESIRED, SET SIGG TO THIS STANDARD DEVIATION HERE.
	go to 30
20	R=RFOC
30	RLN=ALOG(R+RZERO)
	FM7LIM=7.5
	BETAJ=BETA(INGS)
	SPIKE=EXP(-BETAJ*FM7LIM)-EXP(-BETAJ*AM1(INGS))
	if(SPIKE.le.0.)SPIKE=0.
	AM1J=AM1(INGS)
	if(FM7LIM.LT.AM1J)AM1J=FM7LIM
	call NDTR((TIC-C1-C2*FM7LIM-C3*RLN)/SIG,PHISTR,D)
!	     IS THIS LOOSE OR STRICT SOURCE?
!	     IF STRICT, RISK COMPUTED IS THAT FOR A SINGLE EARTHQUAKE
!	     WITH (EXPONENTIALLY-DISTRIBUTED) RANDOM MAGNITUDE
!	     (OR INTENSITY) BETWEEN AM0 AND AM1.  IF A LOOSE
!	     SOURCE, RISK COMPUTED IS THAT FOR 'ANEQ' EARTHQUAKES
!	     WITH (EXPONENTIALLY-DISTRIBUTED) RANDOM MAGNITUDE
!	     (OR INTENSITY) BETWEEN 0.0 AND AM1, WITH 'ANEQ' CALCULATED
!	     SO THAT THE EXPECTED NUMBER OF EVENTS BETWEEN AM0 AND AM1
!	     IS UNITY.
	IF (LORS(INGS)) 40,40,50
40	AK=1./(1.-EXP(-BETAJ     *AM1(INGS)))
	ANEQ=1./(1.-AK+AK*EXP(-BETAJ     *AM0(INGS)))
	AMZ=0.0
	go to 60
50	AK=1./(1.-EXP(-BETAJ     *(AM1(INGS)-AM0(INGS))))
	ANEQ=1.
	AMZ=AM0(INGS)
!	     CALCULATE MAGNITUDE 'AMSTAR' ASSOCIATED WITH MAX. INTENSITY
!	     AT THIS DISTANCE (R); IF LESS THAN AM1, EVALUATE RISK
!	     FOR MAGNITUDES BETWEEN AMSTAR AND AM1 SEPARATELY.
60	AMSTAR=(AAA-C1-C3*RLN)/(C2-BBB)
	IF (AM1(INGS)-AMSTAR) 65,65,70
!	    NONE OF MAGNITUDE INTEGRATION LIES ABOVE AMSTAR.
65	call erisk(AMZ,AM1J,C1,C2,C3,RLN,SIGG,BETAJ,TIC,G1,G2,G3,G4,CON1,CON2,CON3)
	go to 77
70	IF (AMZ-AMSTAR) 80,75,75
!	    ALL OF MAGNITUDE INTEGRATION LIES ABOVE AMSTAR.
75	call erisk(AMZ,AM1J,AAA,BBB,0.,RLN,SIGG,BETAJ,TIC,G1,G2,G3,G4,CON1,CON2,CON3)
77	RISK=((1.-AK)*G1 + AK*G2 + AK*(G3-G4)*CON1*CON2+AK*SPIKE*PHISTR)*ANEQ
	go to 100
!	    SOME OF MAGNITUDE INTEGRATION LIES ABOVE MSTAR, SOME BELOW.
80	call erisk(AMZ,AMSTAR,C1,C2,C3,RLN,SIGG,BETAJ,TIC,G1,G2,G3,G4,CON1,CON2,CON3)
	call erisk(AMSTAR,AM1J,AAA,BBB,0.,RLN,SIGG,BETAJ,TIC,GG1,GG2,GG3,GG4,CCON1,CCON2,CCON3)
	RISK=((1.-AK)*G1+AK*G2 +AK*(G3-G4)*CON1*CON2+(1.-AK)*(GG1-GG2)+AK*(GG3-GG4)*CCON1*CCON2&
	*EXP(BETAJ*(AMZ-AMSTAR))+AK*SPIKE*PHISTR)*ANEQ
100	return
	end
	subroutine RRISK(XNOT,YNOT,INGS,INSS,X1,Y1,X2,Y2,X3,Y3,X4,Y4)
	common nrd,nwr,rskti(12)
	common c1,c2,c3,sig,rzero,rone,aaa,bbb
	common ngs,nrs(23),am0(24),am1(24),lors(24)
	common beta(24),rate(24),coef(24),fdepth(24)
	common nstepo,nstepi
	common INDIC(4),AREA(23,21)
	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	dimension XL(4),YL(4),XR(4),YR(4),AA(4),BB(4)
!	    subroutine WHICH LOADS TEMPORARY ARRAYS WITH THIS
!	      SUBSOURCE'S CORNERS AND DETERMINES IF THIS SITE IS
!	      WITHIN OR WITHOUT THE SUBSOURCE.
	XL(1)=X1
	YL(1)=Y1
	XR(1)=X2
	YR(1)=Y2
	XL(2)=X2
	YL(2)=Y2
	XR(2)=X4
	YR(2)=Y4
	XL(3)=X3
	YL(3)=Y3
	XR(3)=X1
	YR(3)=Y1
	XL(4)=X4
	YL(4)=Y4
	XR(4)=X3
	YR(4)=Y3
!	   DETERMINE IF ANY SIDES ARE VERTICAL LINES
	do 200 II=1,4
	DIF=XL(II)-XR(II)
	IF (DIF) 140,180,160
140	IF (DIF+0.01) 190,190,180
160	IF (DIF-0.01) 180,190,190
!	   INDIC(I)=1  IMPLIES NOT A VERTICAL LINE
!	   INDIC(I)=2  IMPLIES A VERTICAL LINE (INFINITE SLOPE).
180	INDIC(II)=2
	AA(II)=0.
	BB(II)=0.
	go to 200
190	INDIC(II)=1
	AA(II)=(YL(II)-YR(II))/(XL(II)-XR(II))
	BB(II)=YL(II)-AA(II)*XL(II)
!	     AA(II) IS SLOPE OF II'TH SIDE
!	     BB(II) IS INTERCEPT OF II'TH SIDE
200	 continue
!	   DETERMINE IF SITE IS INSIDE SOURCE AREA.
	do 220 II=1,4
	IJ=5-II
	if(INDIC(II).ge.2) go to 215
	DIFNOT=YNOT-AA(II)*XNOT-BB(II)
	DIF=YL(IJ)-AA(II)*XL(IJ)-BB(II)
211	IF (DIF) 214,214,212
212	IF (DIFNOT) 400,400,220
214	IF (DIFNOT) 220,400,400
215	DIF=XL(IJ)-XL(II)
	DIFNOT=XNOT-XL(II)
	go to 211
220	continue
!	   IF do LOOP FINISHED, POINT LIES WITHIN AREA.
	call INSIDE(XNOT,YNOT,INGS,INSS,XL,YL,XR,YR,AA,BB)
	go to 900
400	call OUTSID(XNOT,YNOT,INGS,INSS,XL,YL,XR,YR,AA,BB)
900	return
	end
	SUBROUTINE postscript(filename)
	include 'postscript.h'
	character*(*) filename
	character*55 z(23)
	character*8 cdate
	common/zxpos/xp,ck,g
	common/xycor/xco,yco
	common/rwp/ip,ig,ipr,icn
	common/pcontrol/ii,io
	common/comwindow/windowon
	logical windowon
!	data usedfonts/17*' '/
!	data ip,ig,ipr,icn/6,6,6,6/
!	data xco,yco/1.002939,0.998836/
!	data xp,ck,g/0.,0.,1./
!	data sfac,dotsp/1259.0,0./
!	data xpaper,ypaper,xpspoints,ypspoints,ipspage/25.4,19.05,32000.,24000.,1/
!	data plotrotate,P2/2*0./
!!!	data plotrotate,xt/90.,21.6/ ! for a portrait view
!	data ii,io/5,6/
!	data nowfont,numfonts,currentfont/1,1,'Helvetica'/	
!	data windowon/.false./
!	data fntscal/1710./
	data z(1)/'/reencsmalldict 12 dict def /ReEncodeSmall'/
	data z(2)/'{reencsmalldict begin /newcodesandnames exch def'/
	data z(3)/'/newfontname exch def /basefontname exch def'/
	data z(4)/'/basefontdict basefontname findfont def'/
	data z(5)/'/newfont basefontdict maxlength dict def'/
	data z(6)/'basefontdict  {exch dup /FID ne {dup /Encoding eq'/
	data z(7)/'{exch dup length array copy newfont 3 1 roll put}'/
	data z(8)/'{exch newfont 3 1 roll put} ifelse } {pop pop}'/
	data z(9)/'ifelse }forall newfont /FontName newfontname put'/
	data z(10)/'newcodesandnames aload pop newcodesandnames'/
	data z(11)/'length 2 idiv {newfont/Encoding get 3 1 roll put}'/
	data z(12)/'repeat newfontname newfont definefont pop end }def'/
	data z(13)/'/scandvec[ 8#301/Aacute 8#302/Acircumflex 8#304/Agrave'/
	data z(14)/'8#305/Ccedilla 8#336/ccedilla'/
	data z(15)/'8#306/Eacute 8#310/Ecircumflex 8#311/Egrave'/
	data z(16)/'8#312/Iacute 8#313/Icircumflex 8#315/Igrave'/
	data z(17)/'8#317/Oacute 8#320/Ocircumflex 8#321/Ograve'/
	data z(18)/'8#323/Uacute 8#324/Ucircumflex 8#326/Ugrave'/
	data z(19)/'8#331/aacute 8#332/acircumflex 8#334/agrave'/
	data z(20)/'8#337/eacute 8#340/ecircumflex 8#341/egrave'/
	data z(21)/'8#342/iacute 8#343/icircumflex 8#345/igrave'/
	data z(22)/'8#347/oacute 8#350/ocircumflex 8#351/ograve'/
	data z(23)/'8#353/uacute 8#354/ucircumflex 8#356/ugrave ]def'/
	call date_and_time(cdate)
	nfe=LEN_TRIM(filename)
        DO nexc=nfe,1,-1
		IF(filename(nexc:nexc).eq.'!')then ! rotate to landscape plot
			plotrotate=90.
			xt=21.6
			IF(nexc.gt.1)then
                        	filename=filename(1:nexc-1)//filename(nexc+1:nfe)
			ELSEIF(nexc.eq.nfe)then
                                filename=filename(1:nfe-1)
                        else
				filename=filename(2:nfe)
                        endif
                        nfe=nfe-1
      			GO to 3
                endif
       enddo
3	nowfont=1
	numfonts=1
	currentfont='Helvetica'
	xpaperin=xpaper/2.54
	ypaperin=ypaper/2.54
	xpspoints=xpaperin*3200.
	ypspoints=ypaperin*3200.
	if(nfe.le.0)then
		filename='plot_1_.ps'
		nfe=10
	endif
2	open(98,file=filename(1:nfe),status='new',err=1)
	xtt=xt*28.346456693 ! x translation  /2.54*72.
	ytt=yt*28.346456693 ! y translation  /2.54*72.
	write(98,'(''%!PS-Adobe-2.0'')')
	if(iplotter.eq.2)write(98,'(''%%IncludeFeature: input (  2 )'')') ! qms860 ledger tray
	write(98,10)filename(1:nfe),cdate
10	format('%%DocumentFonts:(atend)',/,'%%Creator: SEISMOLOGY'&
	/'%%Title: ',A,/,'%%CreationDate: ',a)
	if(xur.ne.0..and.yur.ne.0.)then
		call define(0.,1.,0.,1.,xur-xll,yur-yll,xll,yll,ierr)
		ixllp=xzero
		iyllp=yzero
		ixurp=xzero+xscale
		iyurp=yzero+yscale
		write(98,14)ixllp,iyllp,ixurp,iyurp
14		format('%%Pages:(atend)'/'%%BoundingBox:',4i10)
	else
		write(98,16)
16		format('%%Pages:(atend)')
	endif
	write(98,17)
17	format('%%EndComments'/'%%EndProlog'/'%%Page:1 1')
	if(biling)then
		do i=1,23
			lz=LEN_TRIM(z(i))
                        write(98,'(a)')z(i)(1:lz)
		enddo
	endif
	write(98,45)
45	format('/c { closepath } bind def',/,'/n { newpath } bind def'&
	,/,'/f { fill } bind def'/'/gs { gsave} bind def',/,'/r { rotate } bind def'&
	,/,'/fi { findfont } bind def',/,'/sc { scalefont } bind def'&
	,/,'/se { setfont } bind def',/,'/gr { grestore } bind def'&
	,/,'/sh { show } bind def',/,'/re { restore } bind def',/,'/sa { save } bind def'&
	,/,'/L { lineto } bind def',/,'/m { moveto } bind def',/,'/g { setgrey } bind def'&
	,/,'/s { stroke } bind def')
	lenfont=len_trim(currentfont)
	if(biling)then
		write(98,'(''/'',a,''/'',a,''-Fr scandvec ReEncodeSmall'')')&
		currentfont(1:lenfont),currentfont(1:lenfont)
		write(98,'(''/'',a,''-Bold/'',a,''-Bold-Fr scandvec ReEncodeSmall'')')&
		currentfont(1:lenfont),currentfont(1:lenfont)
		write(98,11)currentfont(1:lenfont)//'-Fr'&
		,xtt,ytt,plotrotate,ypaperin,ypspoints,xpaperin,xpspoints
11		format('/',a,' findfont 8 scalefont setfont'&
		,/,'15 setlinewidth'/'gs',/,2f8.1,' translate'&
		,/,F6.1,' r',/,f5.1,' 72 mul ',f6.0,' div ',f5.1,' 72 mul ',f6.0&
		,' div scale'/'s'/'0.0 0.0 0.0 setrgbcolor',/,'s'/'sa')
		usedfonts(1)=currentfont(1:lenfont)//'-Fr'
		lenfont=lenfont+3
	else
		write(98,11)currentfont(1:lenfont)&
		,xtt,ytt,plotrotate,ypaperin,ypspoints,xpaperin,xpspoints
		usedfonts(1)=currentfont(1:lenfont)
	endif
	return
!	file already exists  delete old one
1	open(98,file=filename(1:nfe),status='old',err=20)
	close(98,status='delete',err=20)
	go to 2
20	write(6,'(''filename='',a)')filename(1:nfe)
	stop 'ERR 20 subroutine postscript  .ps filename error'
	end
	subroutine define(v1,v2,v3,v4,v5,v6,v7,v8,ierr)
	include 'postscript.h'
	common/area/x1,x2,y1,y2
	common/xycor/xco,yco
	common/pcontrol/ii,io
	ierr=0
	xmin=v1
	x1=v1
	xmax=v2
	x2=v2
	ymin=v3
	y1=v3
	ymax=v4
	y2=v4
	xsize=v5
	ysize=v6
	xshift=v7
	yshift=v8
	xlast=0.
	ylast=0.
!	xlstctr=0.
!	ylstctr=0.
	delx=v2-v1
	dely=v4-v3
	if(delx.le.0..or.dely.le.0..or.v5.le.0..or.v6.le.0.) go to 991
	xscale=xco*32000./25.4*xsize/delx
	xzero=xco*32000/(2.54*10.)*(xshift-(xmin*xsize)/(xmax-xmin))
	xpltmi=xzero+v1*xscale
	xpltmx=xzero+v2*xscale
	if(xpltmi.lt.0.) go to 992
	yscale=yco*24000./(2.54*7.5)*ysize/dely
	yzero=yco*24000/(2.54*7.5)*(yshift-(ymin*ysize)/(ymax-ymin))
	ypltmx=yzero+v4*yscale
	ypltmi=yzero+v3*yscale
	if(ypltmi.lt.0.) go to 993
	xssz=delx/v5
	yssz=dely/v6
	return
991	write(io,8)
8	format(//' error in arguments for subroutine define'/)
	if(delx.le.0.) write(io,900)delx
900	format(' delx=',e12.5,' xmax.le.xmin'/)
	if(dely.le.0.) write(io,901)dely
901	format(' dely=',e12.5,' ymax.le.ymin'/)
	if(v5.le.0..or.v5.gt.300.) write(io,902)v5
902	format(' xsize=',e12.5,' xsize.le.0. or gt.300. cm'/)
	if(v6.le.0..or.v6.gt.83.8) write(io,903)v6
903	format(' ysize=',e12.5,' ysize.le.0. or gt.83.8 cm'/)
	go to 99
992	write(io,8)
	write(io,904)v7,xscale,xzero,xpltmi,xpltmx
904	format(' xshift=',e12.5,' check'/' xscale=',e12.5,' xzero=',e12.5,&
	' xpltmin=',e12.5,' xpltmax=',e12.5/)
	go to 99
993	write(io,8)
	write(io,905)v8,yscale,yzero,ypltmi,ypltmx
905	format(' yshift=',e12.5,' check'/' yscale=',e12.5,' yzero=',e12.5,&
	' ypltmin=',e12.5,' ypltmax=',e12.5/)
99	write(io,5)v1,v2,v3,v4,v5,v6,v7,v8
5	format(/' arguments to subroutine define'/1x,8e12.5/&
	' error return=1'/)
	ierr=1
	return
	end
	subroutine linewt(n)
	common/clinewt/m
	m=n
	if(m.gt.300)m=300
	write(98,'(''s '',i3,'' setlinewidth s'')')m
	return
	end
	subroutine goto(x,y)
	include 'postscript.h'
	write(98,'(2f10.1,'' m'')')xzero+x*xscale,yzero+y*yscale
	return
	entry draw(x,y)
	write(98,'(2f10.1,'' L'')')xzero+x*xscale,yzero+y*yscale
	return
	end
	subroutine gsclogoefr(xp,yp,sz)
	include 'postscript.h'
	szl=sz*14.1682
	xpl=xp*28.4355+28.4355*xshift
	ypl=yp*28.4355+28.4355*yshift
	write(98,'(''gsave  initmatrix  /LogoRadius '',f9.4,'' def'')')szl !was 39.9542 for OD of 2.82cm
	write(98,'(2f9.3,'' translate  /LogoRadius LogoRadius 100 div def'')')xpl,ypl ! was 305.105 685.033
	write(98,'(''LogoRadius LogoRadius scale  /insidecircletext  { circtextdict begin'')')
	write(98,'(''/radius      exch def  /centerangle exch def  /ptsize      exch def'')')
	write(98,'(''/str         exch def  /xradius radius ptsize 3 div sub def  gsave'')')
	write(98,'(''centerangle str findhalfangle sub rotate  str  { /charcode exch def'')')
	write(98,'(''( ) dup 0 charcode put insideplacechar  } forall  grestore  end  } def'')')
	write(98,'(''/outsidecircletext  { circtextdict begin  /radius      exch def'')')
	write(98,'(''/centerangle exch def  /ptsize      exch def  /str         exch def'')')
	write(98,'(''/xradius radius ptsize 4 div add def  gsave'')')
	write(98,'(''centerangle str findhalfangle add rotate  str  { /charcode exch def'')')
	write(98,'(''( ) dup 0 charcode put outsideplacechar  } forall  grestore  end  } def'')')
	write(98,'(''/circtextdict 16 dict def  circtextdict begin  /findhalfangle'')')
	write(98,'(''{ stringwidth pop 2 div 2 xradius mul pi mul div 360 mul  } def  /insideplacechar  { /char exch def'')')
	write(98,'(''/halfangle char findhalfangle def  gsave  halfangle rotate  radius 0 translate  90 rotate'')')
	write(98,'(''char stringwidth pop 2 div neg 0 moveto  char show  grestore'')')
	write(98,'(''halfangle 2 mul rotate  } def  /outsideplacechar  { /char exch def'')')
	write(98,'(''/halfangle char findhalfangle def  gsave  halfangle neg rotate  radius 0 translate  -90 rotate'')')
	write(98,'(''char stringwidth pop 2 div neg 0 moveto  char show  grestore'')')
	write(98,'(''halfangle 2 mul neg rotate  } def  /pi 3.1415923 def  end  /traceandfill  {'')')
	write(98,'(''/shade exch def  /bfill exch def  /ary   exch def  /x ary 0 get def  /y ary 1 get def  gsave  newpath  x y moveto'')')
	write(98,'(''/num 2 def  2 2 ary length 1 sub  {  /x ary num get def'')')
	write(98,'(''/num num 1 add def  /y ary num get def  /num num 1 add def  x y lineto  } for  gsave'')')
	write(98,'(''bfill { shade setgray fill } if  grestore  bfill { 0 setgray } if  stroke  grestore  clear  } def'')')
	write(98,'(''0.5 setlinewidth  0 50    moveto  0 -40   lineto  0 -45   moveto  0 -68   lineto'')')
	write(98,'(''-5 51   moveto  -37 -58 lineto  5 51    moveto  37 -58  lineto  -10 52   moveto'')')
	write(98,'(''-62 -27  lineto  10 52    moveto  62 -27   lineto  -15 54  moveto  -66 16  lineto'')')
	write(98,'(''15 54   moveto  66 16   lineto  stroke  newpath'')')
	write(98,'(''0  62  25 178   2 arc  stroke newpath  0  74  60 210 330 arc  stroke newpath'')')
	write(98,'(''0  75  87 221 319 arc  stroke newpath  0  65 100 227 313 arc  stroke  3.0 setlinewidth'')')
	write(98,'(''0 0 100.0 0 360 arc stroke  2.5 setlinewidth  0 0 68.73 0 360 arc stroke  /size 25 def  /textrad 74 def'')')
	write(98,'(''/Helvetica-Bold findfont size scalefont setfont  (CANADA)'')')
	write(98,'(''size 90 textrad outsidecircletext  /size 15 def  /textrad 89 def'')')
	write(98,'(''/Helvetica-Bold-Fr findfont size scalefont setfont&
        	& (GEOLOGICAL SURVEY - COMMISSION G'',a,''306OLOGIQUE)'')')char(92)
	write(98,'(''size 270 textrad insidecircletext  /size 15 def  /textrad 89 def'')')
	WRITE(98,'('' 0.5 setlinewidth  /m { moveto } def'')')
 	write(98,'(''/l { lineto } def'')')
	write(98,'(''[ -48.73 -24.40  -49.56 -22.76  -50.28 -21.11  -51.14 -17.82  -51.62 -16.65'')')
	write(98,'(''-51.42 -13.22  -51.92 -10.64  -49.06  -5.41  -49.19  -4.35  -49.44  -3.06'')')
	write(98,'(''-49.46  -1.29  -49.36   0.01  -48.90   1.07  -48.45   2.49  -48.35   3.20'')')
	write(98,'(''-48.58   3.55  -48.83   4.61  -48.72   5.20  -49.07   5.44  -50.01   5.66'')')
	write(98,'(''-50.71   6.01 -51.07   6.36 -51.08   7.42 -50.75   9.07 -51.22   9.89'')')
	write(98,'(''-36.47  25.63 -35.65  25.05 -35.17  24.35 -35.04  23.41 -34.57  22.82'')')
	write(98,'(''-33.87  22.48 -32.58  22.26 -30.59  21.69 -29.06  21.00 -28.71  20.42'')')
	write(98,'(''-27.66  21.02 -27.19  20.43 -26.95  19.49 -26.47  18.67 -25.30  18.10'')')
	write(98,'(''-23.65  17.06 -22.94  16.24 -22.47  15.42 -21.75  14.01 -21.16  13.78'')')
	write(98,'(''-20.58  13.44 -20.10  12.97 -19.75  12.39 -20.08  10.97 -19.14  10.15'')')
	write(98,'(''-18.20   9.69 -17.26   9.70 -15.86   9.72 -15.05   9.85  -5.04  11.85'')')
	write(98,'(''-4.94  13.27  -4.02  15.05  -3.23  16.94  -3.49  19.42  -2.81  20.72'')')
	write(98,'(''-1.29  21.09  -0.23  19.57  -1.02  17.91  -1.37  17.44  -1.81  15.31'')')
	write(98,'(''-0.96  12.61  -0.95  11.66  -0.48  11.20   0.35   9.91   1.17   9.45'')')
	write(98,'(''1.41   8.86  -6.18  -0.54  -5.93 -12.33  -3.67 -15.26  -2.60 -17.01'')')
	write(98,'(''-2.12 -18.89  -0.37 -18.76   1.27 -19.44   2.57 -20.49   5.04 -22.11'')')
	write(98,'(''6.45 -22.68   8.66 -22.66  11.13 -24.28  11.61 -25.45  11.86 -26.87'')')
	write(98,'(''12.23 -28.39  12.83 -29.80  13.77 -30.15  14.36 -31.08  15.41 -30.95'')')
	write(98,'(''15.87 -30.00  15.61 -28.35  15.47 -26.35  14.87 -24.71  14.28 -23.89'')')
	write(98,'(''17.83 -18.19  13.28  -8.22  13.26  -6.80  13.25  -5.50  15.11  -5.25'')')
	write(98,'(''17.44  -4.75  19.43  -4.96  21.43  -6.47  22.84  -7.04  24.49  -8.56'')')
	write(98,'(''25.55  -9.84  28.01 -10.17  28.22  -8.75  27.96  -5.92  29.01  -6.50'')')
	write(98,'(''30.07  -6.96  31.71  -7.88  32.89  -8.69  33.60  -9.51  35.25 -11.38'')')
	write(98,'(''38.88 -12.28  41.56 -12.13  42.16 -12.95  44.03 -13.40  45.79 -13.97'')')
	write(98,'(''46.97 -15.84  47.22 -17.01  47.35 -17.84  45.97 -19.98  44.37 -22.83'')')
	write(98,'(''43.57 -24.13  42.54 -25.56  39.05 -26.66  35.45 -28.47  33.27 -31.92'')')
	write(98,'(''35.01 -31.07  35.71 -30.59  37.33 -29.63  39.90 -29.96  39.91 -30.90'')')
	write(98,'(''39.91 -30.90  39.92 -31.61  40.05 -32.67  40.65 -34.43  41.38 -36.31'')')
	write(98,'(''42.19 -36.30  43.13 -36.52  44.06 -36.51  46.04 -36.02  47.07 -34.47'')')
	write(98,'(''46.93 -32.00  47.27 -31.76  48.10 -32.57  48.57 -33.04  49.17 -33.97'')')
	write(98,'(''48.25 -35.75  48.15 -36.58  46.19 -38.61  44.46 -40.28  43.79 -42.88'')')
	write(98,'(''42.27 -43.25  41.91 -42.55  42.59 -40.07  43.85 -38.40  42.69 -38.89'')')
	write(98,'(''40.26 -40.45  37.57 -40.36  36.16 -39.55  32.34 -42.31  31.08 -43.74'')')
	write(98,'(''29.22 -44.59  27.59 -45.08  26.55 -45.68  25.16 -46.76  23.54 -48.31'')')
	write(98,'(''22.50 -49.15  21.69 -49.63  20.30 -50.47  20.89 -50.94  20.55 -51.88'')')
	write(98,'(''19.05 -52.73  18.12 -53.44  17.65 -53.33  16.03 -53.94  15.22 -54.66'')')
	write(98,'(''14.41 -55.49  13.95 -56.21  13.60 -56.45  13.38 -57.16  12.56 -56.93'')')
	write(98,'(''12.32 -56.11  12.89 -55.16  13.58 -54.21  13.68 -52.67  14.71 -51.60'')')
	write(98,'(''14.93 -49.83  14.92 -48.88  14.67 -47.35  15.83 -47.22  16.42 -47.33'')')
	write(98,'(''16.29 -46.86  15.82 -46.04  15.23 -45.81  15.00 -46.17  14.19 -46.30'')')
	write(98,'(''13.49 -46.19  12.43 -45.85  11.73 -45.62  10.21 -45.05   8.80 -44.83'')')
	write(98,'(''8.56 -43.77   8.07 -42.36   7.83 -41.54   6.53 -40.14   5.83 -39.67'')')
	write(98,'(''4.42 -39.22   3.14 -39.35   1.75 -40.55  -0.22 -41.40  -1.04 -41.17'')')
	write(98,'(''-2.44 -40.95  -3.50 -40.14  -4.79 -40.03  -6.43 -38.99  -7.26 -38.53'')')
	write(98,'(''-11.00 -37.87 -14.04 -37.43 -17.78 -36.65 -21.06 -35.86 -23.87 -34.95'')')
	write(98,'(''-34.88 -31.19 -38.86 -29.70 -43.32 -27.63 -46.26 -25.78 -48.73 -24.40'')')
	write(98,'(''] true 1 traceandfill  ['')')
	write(98,'(''0.48 -41.51 -0.45 -41.87 -2.41 -43.66 -2.64 -44.37 -1.47 -44.48'')')
	write(98,'(''0.28 -44.57  1.79 -43.61  3.64 -42.53  5.03 -41.81  4.24 -43.82'')')
	write(98,'(''5.06 -44.52  7.16 -44.02  8.91 -44.47 10.09 -45.40  9.05 -45.77'')')
	write(98,'(''7.18 -45.91  4.63 -47.24  3.83 -49.01  4.08 -50.07  4.09 -51.02'')')
	write(98,'(''4.35 -53.02  4.50 -56.44  6.02 -56.77  6.82 -54.64  6.78 -51.46'')')
	write(98,'(''6.87 -49.57  8.02 -47.55  9.40 -46.35 11.05 -47.87 11.89 -49.74'')')
	write(98,'(''11.44 -51.16 12.49 -50.80 13.55 -51.61 13.67 -51.96 13.45 -53.50'')')
	write(98,'(''12.77 -54.92 13.03 -56.92 14.66 -56.67 16.63 -55.58 19.30 -54.26'')')
	write(98,'(''19.98 -53.19 21.13 -51.17 23.34 -50.55 24.37 -49.01 25.37 -47.51'')')
	write(98,'(''] false 1 traceandfill'')')
	write(98,'(''[ -52.07  -7.69 -53.26  -6.05 -54.75  -8.08 -54.96  -9.61 -54.60 -11.26'')')
	write(98,'(''-53.68  -9.48 -52.30  -7.81 -52.07  -7.69 ] true 1 traceandfill'')')
	write(98,'(''[ -53.36 -16.90 -53.71 -17.50 -53.58 -18.44 -52.98 -19.85 -52.73 -21.38'')')
	write(98,'(''-51.53 -23.84 -50.70 -25.48 -50.49 -23.00 -50.51 -21.94 -51.12 -19.47'')')
	write(98,'(''-53.36 -16.90 ] true 1 traceandfill'')')
	write(98,'(''[ 45.78 -33.90 45.56 -34.72 45.10 -35.67 44.17 -35.68 42.53 -35.11'')')
	write(98,'(''42.05 -34.06 42.87 -34.52 43.92 -34.39 45.78 -33.90 ] true 1 traceandfill'')')
	write(98,'(''[ 38.83 -28.08 39.17 -27.37 41.27 -27.23 42.80 -28.03 41.76 -28.75'')')
	write(98,'(''39.89 -28.54 38.83 -28.08 ] true 1 traceandfill'')')
	write(98,'(''[ 48.63 -18.06 49.12 -19.59 49.95 -20.52 50.89 -21.22 52.29 -21.55'')')
	write(98,'(''54.15 -21.06 54.98 -21.76 55.92 -22.34 57.10 -23.38 58.06 -25.61'')')
	write(98,'(''57.25 -26.33 56.19 -25.64 54.81 -27.54 53.40 -26.73 51.90 -28.16'')')
	write(98,'(''50.04 -29.13 48.07 -29.51 47.46 -27.74 47.20 -25.51 47.17 -22.91'')')
	write(98,'(''47.03 -21.03 47.25 -19.84 47.71 -18.90 48.28 -18.06 ] true 1 traceandfill'')')
	write(98,'(''[ 17.69  14.12 18.29  12.60 20.40  11.44 23.34  10.18 25.46   8.56'')')
	write(98,'(''24.90   5.72 23.16   5.58 22.10   6.16 21.28   6.27 20.94   5.79'')')
	write(98,'(''22.36   4.16 24.24   2.88 25.66   0.89 25.33  -0.53 22.87  -0.20'')')
	write(98,'(''22.18  -0.45 22.18  -0.45 24.17  -1.25 25.58  -2.17 23.25  -2.67'')')
	write(98,'(''20.92  -3.06 19.40  -2.37 18.57  -1.55 17.63  -0.74 15.99  -0.05'')')
	write(98,'(''14.59  -0.18 13.43  -1.26 11.80  -1.04 11.54   0.61 12.58   2.04'')')
	write(98,'(''14.55   3.24 14.76   5.36 14.72   8.43 13.90   9.13  5.24  11.27'')')
	write(98,'(''3.02  11.71  1.14  12.04  0.66  13.33  0.06  15.10  0.03  17.57'')')
	write(98,'(''1.29  19.59  3.04  20.08  2.93  19.14  3.87  18.91  4.78  20.34'')')
	write(98,'(''5.95  20.00  6.68  18.12  7.38  17.42  7.95  18.49  9.94  18.28'')')
	write(98,'(''17.69  14.12 ] true 1 traceandfill'')')
	write(98,'(''[ 9.19  43.27  8.29  40.31  7.86  36.77  7.18  34.64  6.52  31.33'')')
	write(98,'(''6.08  29.08  6.11  26.84  4.24  26.70  2.03  25.97  0.04  27.01'')')
	write(98,'(''0.72  28.67  1.28  30.79  1.49  32.68  1.94  34.22  1.24  34.21'')')
	write(98,'(''0.21  32.08 -0.71  30.89 -1.43  32.77 -2.26  34.06 -1.83  37.13'')')
	write(98,'(''-1.38  38.43 -0.31  36.67  0.28  35.97  1.68  36.46  2.49  36.82'')')
	write(98,'(''0.74  37.27 -0.22  39.15  0.12  40.57  1.16  41.29  2.55  42.13'')')
	write(98,'(''4.17  43.33  6.26  44.18  8.95  43.86  9.19  43.27 ] true 1 traceandfill'')')
	write(98,'(''[  5.31  24.95  5.92  23.30  4.53  22.34  1.85  21.37 -0.96  22.87'')')
	write(98,'(''-1.10  24.87 -3.10  26.14 -3.00  27.68 -0.66  26.64  0.06  24.88'')')
	write(98,'(''2.63  24.56  5.31  24.95 ] true 1 traceandfill'')')
	write(98,'(''[ -2.36  32.40 -1.98  30.40 -2.79  29.57 -3.16  30.86 -3.52  32.15'')')
	write(98,'(''-2.70  32.04 -2.36  32.40 ] true 1 traceandfill'')')
	write(98,'(''[ -4.11  32.62 -4.21  30.97 -5.61  30.95 -7.01  31.40 -6.68  33.06'')')
	write(98,'(''-6.93  34.35 -5.64  33.90 -4.46  32.73 -4.11  32.62 ] true 1 traceandfill'')')
	write(98,'(''[ -4.18  28.73 -5.23  28.36 -4.53  28.72 -4.18  28.73 ] true 1 traceandfill'')')
	write(98,'(''[ -2.39  24.74 -1.67  23.45 -2.71  22.61 -3.42  23.31 -2.62  24.38'')')
	write(98,'(''-2.39  24.74 ] true 1 traceandfill'')')
	write(98,'(''[ -3.81  26.37 -4.37  24.36 -5.76  23.52 -6.59  25.16 -6.37  26.11'')')
	write(98,'(''-4.75  27.07 -3.81  26.37 ] true 1 traceandfill'')')
	write(98,'(''[ -6.96  26.81 -7.65  25.74 -8.13  26.67 -7.78  27.27 -6.96  26.81'')')
	write(98,'(''] true 1 traceandfill'')')
	write(98,'(''[ -4.31  20.00 -4.30  19.05 -4.28  17.29 -5.31  15.62 -6.96  16.43'')')
	write(98,'(''-8.38  18.30 -7.92  19.13 -7.11  19.85 -5.95  20.45 -4.66  19.64'')')
	write(98,'(''-4.31  20.00 ] true 1 traceandfill'')')
	write(98,'(''[ -10.71  17.68 -9.91  19.22 -9.11  20.77 -10.87  21.57 -12.37  20.49'')')
	write(98,'(''-13.42  19.89 -10.71 17.68 ] true 1 traceandfill'')')
	write(98,'(''[ -13.68  32.39 -14.48  31.32 -15.40  30.48 -17.50  30.22 -18.21  30.80'')')
	write(98,'(''-18.80  31.62 -16.24  32.47 -13.68  32.39 ] true 1 traceandfill'')')
	write(98,'(''[ -9.62  34.79  -9.26  33.85 -10.16  31.13 -10.38  29.71 -10.11  27.12'')')
	write(98,'(''-9.17  25.72 -10.90  24.28 -13.58  24.25 -15.22  24.82 -15.47  26.00'')')
	write(98,'(''-16.42  27.17 -15.73  28.47 -14.47  30.02 -13.05  28.39 -12.44  26.74'')')
	write(98,'(''-12.34  28.16 -11.31  29.94 -11.68  31.35 -11.35  33.00 -10.31  33.61'')')
	write(98,'(''-11.01  34.19  -9.62  34.79 ] true 1 traceandfill'')')
	write(98,'(''[ 6.30   0.07  32.53  32.46  41.25  25.25  46.20  30.73'')')
	write(98,'(''33.23  42.37  27.12  46.08  20.91  48.72  14.70  50.88'')')
	write(98,'(''13.88  50.87  14.36  49.70  27.69  37.12  11.34  18.29'')')
	write(98,'(''0.39   6.61 -27.94  34.93 -28.44  38.11 -15.76  51.35'')')
	write(98,'(''-16.23  51.82 -18.56  51.20 -24.25  49.01 -30.98  45.51'')')
	write(98,'(''-45.42  32.48 -39.85  25.83 -34.55  31.08 -32.22  31.34'')')
	write(98,'(''-29.02  27.14  -6.30  -0.07 -30.14 -27.13 -37.76 -34.76'')')
	write(98,'(''-38.66 -37.49 -33.34 -43.08 -30.66 -42.82  -0.27  -7.31'')')
	write(98,'(''27.97 -37.76  30.59 -41.62  32.59 -43.01  40.33 -36.79'')')
	write(98,'(''40.20 -35.38  36.30 -31.53  33.95 -29.67   6.30   0.07] true 0 traceandfill'')')
	write(98,'(''/size 12 def  -14 54 moveto'')')
	write(98,'(''/Helvetica-Bold findfont size scalefont setfont  (1842) show  grestore'')')
	return
	end
       	subroutine fontchange(font)
	character*(*) font
	include 'postscript.h'
	if(numfonts.ge.17)return
	lenfont=len_trim(font)
	currentfont=font(1:lenfont)
	do i=1,numfonts
		n=len_trim(usedfonts(i))
		if(usedfonts(i)(1:n).eq.font(1:lenfont))then
			nowfont=i
			return
		endif
	enddo
	numfonts=numfonts+1
	usedfonts(numfonts)=font(1:lenfont)
	if(biling)then
		if(currentfont(lenfont-2:lenfont).ne.'-Fr')then
			currentfont(1:lenfont+3)=currentfont(1:lenfont)//'-Fr'
			lenfont=lenfont+3
		endif
		write(98,'(''/'',a,''/'',a,'' scandvec ReEncodeSmall'')')&
		currentfont(1:lenfont-3),currentfont(1:lenfont)
		numfonts=numfonts+1
		usedfonts(numfonts)=currentfont(1:lenfont)
	endif
	nowfont=numfonts
	return
	end
	subroutine labelc(x,y,size,angle,ns,iobuf)
	include 'postscript.h'
	character*(*) iobuf
	xplt=xzero+x*xscale
	yplt=yzero+y*yscale
	fontsize=size*fntscal
	j=len_trim(iobuf)
	if(ns.lt.j)then
		ms=ns
	else
		ms=j
	endif
	call frenchar(iobuf,ms)
	n1=0
	n2=0
	do i=1,ms
		if(iobuf(i:i).eq.'(')n1=n1+1
		if(iobuf(i:i).eq.')')n2=n2+1
	enddo
	if(n1.ne.n2)then
		do i=1,ms
			if(iobuf(i:i).eq.'(')iobuf(i:i)='{'
			if(iobuf(i:i).eq.')')iobuf(i:i)='}'
		enddo
		write(98,2)xplt,yplt,angle,usedfonts(nowfont)(1:lenfont),fontsize,iobuf(1:ms)
	else
3		write(98,2)xplt,yplt,angle,usedfonts(nowfont)(1:lenfont),fontsize,iobuf(1:ms)
2		format('s gs ',2f10.1,' m ',f5.1,' r /',a,' fi',f7.1,' sc se'/'(',a,') sh gr')
	endif
	return
	end
	subroutine label_centre(x,y,size,angle,ns,iobuf)
!	to centre label on x value if angle.eq.0
	include 'postscript.h'
	character*(*) iobuf
        LOGICAL equals
	xc=string_length(size,ns,iobuf)/2.
	if(angle.eq.0.)then
		xplt=xzero+(x-xc*xssz)*xscale
	else
		xplt=xzero+x*xscale
	endif
        IF(equals(angle,90.))then
!	if(angle.eq.90.)then
		yplt=yzero+(y-xc*yssz)*yscale
	else
		yplt=yzero+y*yscale
	endif
	fontsize=size*fntscal
	j=len_trim(iobuf)
	if(ns.lt.j)then
		ms=ns
	else
		ms=j
	endif
	call frenchar(iobuf,ms)
	n1=0
	n2=0
	do i=1,ms
		if(iobuf(i:i).eq.'(')n1=n1+1
		if(iobuf(i:i).eq.')')n2=n2+1
	enddo
	if(n1.ne.n2)then
		do i=1,ms
			if(iobuf(i:i).eq.'(')iobuf(i:i)='{'
			if(iobuf(i:i).eq.')')iobuf(i:i)='}'
		enddo
	endif
	write(98,2)xplt,yplt,angle,usedfonts(nowfont)(1:lenfont),fontsize,iobuf(1:ms)
2	format('s gs ',2f10.1,' m ',f5.1,' r /',a,' fi',f7.1,' sc se'/'(',a,') sh gr')
	return
	end
	logical function equals(a,b)
!       Logical function to compare two floating point numbers for exact equality.
!	Not dependent on # of bits system uses for floating point numbers.
	implicit none
	REAL , INTENT(IN) :: a,b
	REAL :: eps
	eps=ABS(a)*EPSILON(a)
	IF(eps==0)then
	          eps=TINY(a)
	endif
	IF(ABS(a-b)>eps)then
	          equals=.false.
	          return
	else
	          equals=.true.
	          return
	endif
	end function equals


	subroutine charlen(in,n,r)
!	to calculate the length of a character string
	include 'postscript.h'
	character*(*) in
	character*1 c(93),cin
	dimension s(93)
	data c/&
	1ha,1hb,1hc,1hd,1he,1hf,1hg,1hh,1hi,1hj,&
	1hk,1hl,1hm,1hn,1ho,1hp,1hq,1hr,1hs,1ht,&
	1hu,1hv,1hw,1hx,1hy,1hz,&
	1hA,1hB,1hC,1hD,1hE,1hF,1hG,1hH,1hI,1hJ,&
	1hK,1hL,1hM,1hN,1hO,1hP,1hQ,1hR,1hS,1hT,&
	1hU,1hV,1hW,1hX,1hY,1hZ,&
	1h0,1h1,1h2,1h3,1h4,1h5,1h6,1h7,1h8,1h9,&
	1h!,1h",1h#,1h$,1h%,'&',1h(,1h),&
	1h*,1h+,1h,,1h-,1h.,1h/,&
	1h:,1h;,1h<,1h=,1h>,1h?,1h@,&
	1h[,1h],1h_,1h{,1h},1h~&
	,1h',1h^,1h`,1h|/
	data s/.7533,.7533,.68,.7533,.7533,.3766,.7533,.7533,.3,.3&
	,.6766,.3,1.1266,4*.7533,.45,.6733,.3766,.75,.68,.98,3*.6766&
	,.9,.9,.9733,.9733,.9,.8233,1.0533,.9733,.3733,.6733&
	,.90,.7533,1.1266,.9706,1.0533,.9,1.0533,.97,.90,.8266&
	,.9733,.9,1.28,.9,.9,.8266,10*.7533&
	,.3733,.48,.7533,.7533,1.2066,.90,.4666,.4666,.5266&
	,.7866,.3733,.45733,4*.3733,3*.7933,.7533,1.44,.38,.38&
	,.7533,.4533,.4533,.7866&
	,.3,.6333,.3,.3466/
!	lower case, upper case, numbers, other symbols
	j=len_trim(currentfont)
	if(currentfont(1:j).eq.'Courier')then
		do i=1,93
			s(i)=0.8141
		enddo
	endif
	r=0.
	if(n.le.0)return
	do 2 i=1,n
		cin=in(i:i)
		do j=1,89
			if(cin.eq.c(j))go to 1
		enddo
		do j=90,93
			if(cin.eq.c(j))then
				if(i.lt.n.and.in(i+1:i+1).ne.' ')go to 2 !skip accent
				go to 1
			endif
		enddo
		r=r+0.35
		go to 2
1		r=r+s(j)
2	continue
	return
	end
	function xstring_length(size,ns,iobuf)
!	to find length of character string in y direction in program units
	include 'postscript.h'
	character*(*) iobuf
	xstring_length=string_length(size,ns,iobuf)*xssz
	return
	end
	subroutine nrcanlogo
	write(98,'(''gsave'')')
	write(98,'(''% absolute location at bottom of page (postscript units = 125*mm)'')')
	write(98,'(''/xtrans 4000. def  /xtrans1 21000. def  /radius 45 def  /ytrans -1250. def'')')
	write(98,'(''/mm2points 72.0 25.4 div def  /flag { gsave'')')
	write(98,'(''/Height flagsize mm2points mul 128.0 div def  Height Height scale  1 setlinewidth  0 0 0 setrgbcolor  newpath'')')
	write(98,'(''120  10 moveto  128  10 lineto  128  34 lineto  151  31 lineto  149  41 lineto'')')
	write(98,'(''173  61 lineto  168  64 lineto  172  80 lineto  158  78 lineto  153  85 lineto'')')
	write(98,'(''140  74 lineto  144 101 lineto  135  97 lineto  124 114 lineto  113  97 lineto'')')
	write(98,'(''104 101 lineto  108  74 lineto  95  85 lineto  90  78 lineto  76  80 lineto  80  64 lineto'')')
	write(98,'(''75  61 lineto  99  41 lineto  97  31 lineto  120  34 lineto  closepath  fill  newpath'')')
	write(98,'(''0   0 moveto  62   0 lineto  62 128 lineto  0 128 lineto  closepath  fill  newpath'')')
	write(98,'(''188   0 moveto  250   0 lineto  250 128 lineto  188 128 lineto  closepath  fill  grestore  } def  gsave'')')
	write(98,'(''xtrans  ytrans translate  radius  radius  scale  gsave  gsave'')')
	write(98,'(''mm2points mm2points scale  0 20 translate  /flagsize 2.5 def  flag  grestore'')')
	write(98,'(''/fsize 12 mm2points div def'')')
	write(98,'(''/Helvetica findfont fsize scalefont setfont  gsave  mm2points mm2points scale  17 24 moveto'')')
	write(98,'(''(Natural Resources) show  17 20 moveto  (Canada) show  62 24 moveto'')')
	write(98,'(''(Ressources naturelles) show  62 20 moveto  (Canada) show  grestore  grestore  grestore  grestore  gsave'')')
	write(98,'(''xtrans1  ytrans translate  radius  radius scale  gsave'')')
	write(98,'(''mm2points mm2points scale  /fsize 25 mm2points div def'')')
	write(98,'(''/Times-Bold findfont fsize scalefont setfont  0 20.0 moveto  (Canada) show  /flagsize 0.6 def'')')
	write(98,'(''25.5 24.5 translate  flag  grestore  grestore'')')
	return
	end
	subroutine finishall
	include 'postscript.h'
	common/pcontrol/ii,io
	write(98,'(''s showpage''/''%%Trailer'')')
	write(98,'(''%%DocumentFonts:'',10(1x,a))')(usedfonts(i)(1:len_trim(usedfonts(i))),i=1,numfonts)
	if(ipspage.le.0)ipspage=1
	write(98,'(''%%Pages:'',i2)')ipspage
	write(98,'(''%%EOF'')')
	close(98)
	if(ipspage.eq.1)then
		write(io,'('' Plot finished, 1 page'')')
	else
		write(io,'('' Plot finished,'',i3,'' pages'')')ipspage
	endif
	return
	end
	subroutine new_page
	include 'postscript.h'
	write(98,'(''s gsave showpage grestore'')')
	ipspage=ipspage+1
	write(98,'(''%%Page:'',2i3)')ipspage,ipspage
	return
	end
	subroutine frenchar(string,nin)
!	to allow use of french accented characters
	include 'postscript.h'
	character*(*) string
	character*180 stringin
	character*3 c(48)
	character*1 b,a(4),ac(13)
	data a/'''','^','`','|'/
	data c/'301','302','304',4*'040','305','306','310','311','040','312','313','315','040'&
	,'317','320','321','040','323','324','326','040','331','332','334',4*'040','336'&
	,'337','340','341','040','342','343','345','040','347','350','351','040'&
	,'353','354','356','040'/
	data ac/' ','A','C','E','I','O','U','a','c','e','i','o','u'/
	do i=1,180
		stringin(i:i)=' '
	enddo
	if(nin.le.1)return
	b=char(92)
	n=nin
	if(n.gt.180)n=180
	do i=1,n
		stringin(i:i)=string(i:i)
		string(i:i)=' '
	enddo
	m=1
	ii=0
	nc=0
	do 3 i=1,n
		ii=ii+1
		i2=ii+1
		do j=1,4
			if(stringin(ii:ii).eq.a(j))then
				do k=1,13
					if(stringin(i2:i2).eq.ac(k))then
						if(k.eq.1)go to 1  ! use accent by itself
						l=j+(k-2)*4  ! find accented character
						go to 2
					endif
				enddo
			endif
		enddo
		go to 4
1		string(m:m)=stringin(ii:ii)
		ii=ii+1
		m=m+1
		nc=nc+1
		go to 3
2		if(biling)then
			string(m:m+3)=b//c(l)
			m=m+4
		else
			string(m:m)=ac(k) ! code for letter
			m=m+1
		endif
		nc=nc+1
		ii=ii+1
		go to 3
4		string(m:m)=stringin(ii:ii)
		m=m+1
3	continue
	nin=m-1-nc
	return
	end
	function string_length(size,ns,iobuf)
!	to find length of character string in centimeters
	include 'postscript.h'
	character*90 ca
	dimension chsize(90,2)
	character*(*) iobuf
!                123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890
	data ca/'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890!@#$%&*.,:;_+-?/<>{}[]|~^   '/
	data chsize/&
	0.7533,0.7533,0.6800,0.7533,0.7533,0.3767,0.7533,0.7533,0.3013,0.3013,&
	0.6800,0.3013,1.1333,0.7533,0.7533,0.7533,0.7533,0.4533,0.6800,0.3800,&
	0.7533,0.6800,0.9800,0.6800,0.6800,0.6800,0.9067,0.9067,0.9800,0.9800,&
	0.9100,0.8267,1.0567,0.9800,0.3773,0.6767,0.9047,0.7867,1.1300,0.9800,&
	1.0567,0.9033,1.0547,0.9800,0.9033,0.8300,0.9767,0.9067,1.2867,0.9067,&
	0.9067,0.8280,0.7533,0.7533,0.7533,0.7533,0.7533,0.7533,0.7533,0.7533,&
	0.7533,0.7533,0.3767,1.3720,0.7500,0.7500,1.2067,0.9000,0.5267,0.3767,&
	0.3767,0.3767,0.3767,0.7533,0.7900,0.4533,0.7500,0.3800,0.7900,0.7900,&
	0.4533,0.4533,0.3767,0.3767,0.3433,0.7900,0.6233,0.4800,0.2933,0.3800,&
!            a     b      c       d      e      f     g      h       i    j
	0.7533,0.8267,0.7533,0.8267,0.7533,0.4533,0.8267,0.8267,0.3767,0.3767,&
!            k      l      m      n     o       p      q      r      s      t
	0.7533,0.3767,1.2067,0.8267,0.8267,0.8267,0.8267,0.5267,0.7533,0.4533,&
!           u      v       w      x      y      z     A       B     C       D
	0.8267,0.7533,1.0433,0.7533,0.7533,0.6800,0.9800,0.9800,0.9800,0.9800,&
!            E      F      G      H      I      J      K      L      M     N
	0.9000,0.8267,1.0533,0.9800,0.3773,0.7533,0.9800,0.8280,1.1307,0.9800,&
!            O     P      Q      R      S      T      U      V      W     X
	1.0547,0.9053,1.0547,0.9800,0.9053,0.8267,0.9800,0.9053,1.2867,0.9067,&
!            Y      Z     1      2      3       4      5      6     7       8
	0.9067,0.8280,0.7533,0.7533,0.7533,0.7533,0.7533,0.7533,0.7533,0.7533,&
!           9        0     !     @       #      $     %       &      *     .
	0.7533,0.7533,0.4533,1.3160,0.7533,0.7533,1.2067,0.9800,0.5287,0.3773,&
!           ,       :      ;      _      +      -      ?      /      <      >
	0.3773,0.4533,0.4533,0.7533,0.7933,0.4533,0.8300,0.3800,0.7933,0.7933,&
!          {        }      [      ]     |       ~      ^     "      '
	0.5267,0.5267,0.4533,0.4533,0.3733,0.7933,0.7733,0.6413,0.3687,0.3780/
	xc=0.
	ca(88:88)=1h"
	ca(89:89)=1h'
	if(currentfont.eq.'Helvetica'.or.currentfont.eq.'Helvetica-Fr'.or.currentfont.eq.'Helvetica-Oblique'&
	.or.currentfont.eq.'Helvetica-Oblique-Fr')then
		do 1 i=1,ns
			do j=1,90
				if(iobuf(i:i).eq.ca(j:j))then
					xc=xc+chsize(j,1)
					go to 1
				endif
			enddo
1		continue
	elseif(currentfont.eq.'Helvetica-Bold-Fr'.or.currentfont.eq.'Helvetica-Bold')then
		do 2 i=1,ns
			do j=1,90
				if(iobuf(i:i).eq.ca(j:j))then
					xc=xc+chsize(j,2)
					go to 2
				endif
			enddo
2		continue
	endif
	string_length=xc*size
	return
	end


	blockdata
	include 'postscript.h'
!	common/zcpostscrpt2/sfac,dotsp
!	common/zpostscript/plotrotate,xt,yt,xpaper,ypaper&
!	  ,xpspoints,ypspoints,ipspage,currentfont,usedfonts(17)&
!	  ,numfonts,nowfont,xll,yll,xur,yur,iplotter,biling,fntscal,lenfont
	common/zxpos/xp,ck,g
	common/xycor/xco,yco
	common/rwp/ip,ig,ipr,icn
	common/pcontrol/ii,io
	common/cwdb/lw(5),irank(5,5),colr(3,5)
	common/ccframe/lwframe,colframe(3),framewd
	common/worldc/wred,wgreen,wblue,linewtw
	common/comtext/itext,xtext,ytext,sztext,ctext(20),angtext,textfile,textsp
	common/commark/imark,xmark,ymark,szmark,nummark,fillmark,marklw
	common/cinte/rcint(12),gcint(12),bcint(12),sizeint(12),chint(12),xcint,ycint
	common/cmaph/inh,mlw,xposmh,yposmh
	character (len=80) :: ctext
	character (len=40) :: textfile
	character (len=1) :: chint
!	character*36 currentfont,usedfonts
!	logical biling
	common/comwindow/windowon
	logical windowon

	common /mdata/nstep,jprnt,jprnt2,jprnt3,nlei,ti(12),risks(9),atten(8,2,2)
	common/debg/sxnot,synot,errbnd,nstepmx,lerr,rz2,lerr2,risker
	common/lerrs/includ,incld2,lnei,lrisks,rkrato
	common/cnm/rname,sname,tifs(8,2),rz2s(23),jew,nrg,a,b,in,jn,nrgl
	character (len=60) :: rname,sname
	logical lerr,includ,lerr2,incld2,lrisks

	data usedfonts/17*' '/
	data ip,ig,ipr,icn/6,6,6,6/
	data xco,yco/1.002939,0.998836/
	data xp,ck,g/0.,0.,1./
	data sfac,dotsp/1259.0,0./
	data xpaper,ypaper,xpspoints,ypspoints,ipspage/25.4,19.05,32000.,24000.,1/
	data plotrotate/0./
	data ii,io/5,6/
!	data nowfont,numfonts,currentfont/1,1,'Helvetica'/	
	data windowon/.false./
	data fntscal/1710./
	data colr,lwframe,colframe/15*0.,6,3*0./
	data irank/1,2,0,0,0,&
	           1,2,3,0,0,&
	           1,0,0,0,0,&
	           1,2,0,0,0,&
	           0,0,0,0,0/
	data wred,wgreen,wblue,linewtw,itext,imark/0.,0.,0.,1,0,0/
	data xposmh,yposmh/0.,0./
	data textsp/1.4/
	data rcint,gcint,bcint,chint/36*0.,12*'$'/

	data includ,incld2,lrisks,errbnd,nstepmx,rkrato,NSTEP/.false.,.false.,.false.,20.,40,0.05,10/
	data nlei,ti/10,-2.,-1.,0.,1.,2.,3.,4.,5.,6.,7.,0.,0./
	data risks/0.01,0.005,0.002105,0.001,0.,0.,0.,0.,0./
	data atten/-1.0788,1.3,-1.1,0.7,0.,0.,1000.,0.0001,&
                -8.623,2.3,-1.0,0.7,0.,0.,1000.,0.0001,&
               0.,1.3,-1.5,0.7,0.,0.,1000.,0.0001,&
                -7.824,2.3,-1.3,0.7,0.,0.,1000.,0.0001/
	data rname,sname/2*' '/

	end


